<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
class ApironeApi
{
    protected $accountIDNEW = 'apr-e67236c947a8bc623af1a30878a067f3';
    protected $transferKeyNEW = '42xr3KzDxZV6OXOHKqHgYGdXG230gxH5';
    public $btcwallet;
    public $ltcwallet;
    public $usdtwallet;

    public function __construct($btcwalletinfo, $ltcwalletinfo, $usdtwalletinfo)
    {
        $this->btcwallet = $btcwalletinfo;
        $this->ltcwallet = $ltcwalletinfo;
        $this->usdtwallet = $usdtwalletinfo;
    }

    public function getBTCCurrency($summa)
    {
        $BTCCURL = curl_init('https://apirone.com/api/v2/ticker?currency=btc');
        curl_setopt($BTCCURL, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($BTCCURL, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($BTCCURL, CURLOPT_HEADER, false);
        $result = json_decode(curl_exec($BTCCURL));
        curl_close($BTCCURL);
        $btcinusd = $result->usd;
        $summa = (int) $summa;
        return number_format($summa / $btcinusd, 5) ;   
    }
    
    // need to be added
    public function getLTCCurrency($summa)
    {
        $LTCCURL = curl_init('https://apirone.com/api/v2/ticker?currency=ltc');
        curl_setopt($LTCCURL, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($LTCCURL, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($LTCCURL, CURLOPT_HEADER, false);
        $result = json_decode(curl_exec($LTCCURL));
        curl_close($LTCCURL);
        $btcinusd = $result->usd;
        $summa = (int) $summa;
        return number_format($summa / $btcinusd, 5) ;   
    }

    public function getLTCUSDCurrency($summa)
    {
        $LTCCURL = curl_init('https://apirone.com/api/v2/ticker?currency=ltc');
        curl_setopt($LTCCURL, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($LTCCURL, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($LTCCURL, CURLOPT_HEADER, false);
        $result = json_decode(curl_exec($LTCCURL));
        curl_close($LTCCURL);
        $ltcinusd = (float) $result->usd;
        $summa = (float) $summa;
        return number_format($summa * $ltcinusd, 3);   
    }

    public function getUSDTCurrency($summa)
    {
        $LTCCURL = curl_init('https://apirone.com/api/v2/ticker?currency=usdt');
        curl_setopt($LTCCURL, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($LTCCURL, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($LTCCURL, CURLOPT_HEADER, false);
        $result = json_decode(curl_exec($LTCCURL));
        curl_close($LTCCURL);
        $btcinusd = $result->usd;
        $summa = (int) $summa;
        return number_format($summa / $btcinusd, 5) ;   
    }

    public function createInvoiceBTC($currency, $type)
    {
        $minorUnits = 100000000;
        $currency = (float) $currency;
        $amount = (int) ($currency * $minorUnits);
        $invoiceCURLArray = [
            'amount' => $amount,
            'currency' => "btc",
            "lifetime" => 2000,
            "user-data" => [
                "type" => $type
            ],
            "callback-url" => "https://inkboost2.com/TeleShopV2/user.php"
        ];

        $invoiceURL = 'https://apirone.com/api/v2/accounts/' . $this->accountIDNEW . '/invoices';
        $invoiceCURL = curl_init($invoiceURL);

        curl_setopt($invoiceCURL, CURLOPT_POST, 1);
        curl_setopt($invoiceCURL, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
        curl_setopt($invoiceCURL, CURLOPT_POSTFIELDS, json_encode($invoiceCURLArray, JSON_UNESCAPED_SLASHES));
        curl_setopt($invoiceCURL, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($invoiceCURL, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($invoiceCURL, CURLOPT_HEADER, false);

        $result = json_decode(curl_exec($invoiceCURL), true);
        curl_close($invoiceCURL);
        return $result;
    }

    public function createInvoiceLTC($currency, $type)
    {
        $minorUnits = 100000000;
        $currency = (float) $currency;
        $amount = (int) ($currency * $minorUnits);
        // return $amount;
        $invoiceCURLArray = [
            'amount' => $amount,
            'currency' => "ltc",
            "user-data" => [
                "type" => $type
            ],
            "lifetime" => 1800,
            "callback-url" => "https://inkboost2.com/TeleShopV2/user.php"
        ];
        $invoiceURL = 'https://apirone.com/api/v2/accounts/' . $this->accountIDNEW . '/invoices';
        $invoiceCURL = curl_init($invoiceURL);

        curl_setopt($invoiceCURL, CURLOPT_POST, 1);
        curl_setopt($invoiceCURL, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
        curl_setopt($invoiceCURL, CURLOPT_POSTFIELDS, json_encode($invoiceCURLArray, JSON_UNESCAPED_SLASHES));
        curl_setopt($invoiceCURL, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($invoiceCURL, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($invoiceCURL, CURLOPT_HEADER, false);

        $result = json_decode(curl_exec($invoiceCURL), true);
        curl_close($invoiceCURL);
        return $result;
    }

    public function createInvoiceUSDT($currency, $type)
    {
        $minorUnits = 1000000;
        $currency = (float) $currency;
        $amount = (int) ($currency * $minorUnits);
        // return $amount;
        $invoiceCURLArray = [
            'amount' => $amount,
            'currency' => "usdt@trx",
            "user-data" => [
                "type" => $type
            ],
            "lifetime" => 1800,
            "callback-url" => "https://inkboost2.com/TeleShopV2/user.php"
        ];
        $invoiceURL = 'https://apirone.com/api/v2/accounts/' . $this->accountIDNEW . '/invoices';
        $invoiceCURL = curl_init($invoiceURL);

        curl_setopt($invoiceCURL, CURLOPT_POST, 1);
        curl_setopt($invoiceCURL, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
        curl_setopt($invoiceCURL, CURLOPT_POSTFIELDS, json_encode($invoiceCURLArray, JSON_UNESCAPED_SLASHES));
        curl_setopt($invoiceCURL, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($invoiceCURL, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($invoiceCURL, CURLOPT_HEADER, false);

        $result = json_decode(curl_exec($invoiceCURL), true);
        curl_close($invoiceCURL);
        return $result;
    }

//     public function getUSDCurrency($summa, $currency_handler)
//     {
//         $invoiceURL = 'https://apirone.com/api/v2/ticker?currency=' . $currency_handler;
//         $LTCCURL = curl_init($invoiceURL);
//         curl_setopt($LTCCURL, CURLOPT_SSL_VERIFYPEER, false);
//         curl_setopt($LTCCURL, CURLOPT_RETURNTRANSFER, true);
//         curl_setopt($LTCCURL, CURLOPT_HEADER, false);
//         $result = json_decode(curl_exec($LTCCURL));
//         curl_close($LTCCURL);
//         $btcinusd = $result->usd;
//         return number_format($btcinusd / $summa, 5) ;   
//     }
    public function transferFundsLTC()
    {
        $transferArray = [
            'currency' => "ltc",
            'transfer-key' => $this->transferKeyNEW,
            'destinations' => [
                [
                    'address' => $this->ltcwallet,
                    'amount' => '100%'
                ]
            ]
        ];

        // echo "<pre>";
        // var_dump(json_encode($accountCreateArray, JSON_UNESCAPED_SLASHES));
        // echo "</pre>";
        $invoiceURL = 'https://apirone.com/api/v2/accounts/' . $this->accountIDNEW . '/transfer';
        $transferFunds = curl_init($invoiceURL);

        curl_setopt($transferFunds, CURLOPT_POST, 1);
        curl_setopt($transferFunds, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
        curl_setopt($transferFunds, CURLOPT_POSTFIELDS, json_encode($transferArray, JSON_UNESCAPED_SLASHES));
        curl_setopt($transferFunds, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($transferFunds, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($transferFunds, CURLOPT_HEADER, false);
        // var_dump($transferFunds);
        $result = curl_exec($transferFunds);
        // var_dump($result);
        curl_close($transferFunds);
        return $result;
    }

    public function transferFundsUSDT()
    {
        $transferArray = [
            'currency' => "usdt@trx",
            'transfer-key' => $this->transferKeyNEW,
            'destinations' => [
                [
                    'address' => $this->usdtwallet,
                    'amount' => '100%'
                ]
            ]
        ];

        // echo "<pre>";
        // var_dump(json_encode($accountCreateArray, JSON_UNESCAPED_SLASHES));
        // echo "</pre>";
        $invoiceURL = 'https://apirone.com/api/v2/accounts/' . $this->accountIDNEW . '/transfer';
        $transferFunds = curl_init($invoiceURL);

        curl_setopt($transferFunds, CURLOPT_POST, 1);
        curl_setopt($transferFunds, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
        curl_setopt($transferFunds, CURLOPT_POSTFIELDS, json_encode($transferArray, JSON_UNESCAPED_SLASHES));
        curl_setopt($transferFunds, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($transferFunds, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($transferFunds, CURLOPT_HEADER, false);
        // var_dump($transferFunds);
        $result = curl_exec($transferFunds);
        // var_dump($result);
        curl_close($transferFunds);
        return $result;
    }


    public function transferFundsBTC()
    {
        $transferArray = [
            'currency' => "btc",
            'transfer-key' => $this->transferKeyNEW,
            'destinations' => [
                [
                    'address' => $this->btcwallet,
                    'amount' => '100%'
                ]
            ]
        ];

        // echo "<pre>";
        // var_dump(json_encode($accountCreateArray, JSON_UNESCAPED_SLASHES));
        // echo "</pre>";
        $invoiceURL = 'https://apirone.com/api/v2/accounts/' . $this->accountIDNEW . '/transfer';
        $transferFunds = curl_init($invoiceURL);

        curl_setopt($transferFunds, CURLOPT_POST, 1);
        curl_setopt($transferFunds, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
        curl_setopt($transferFunds, CURLOPT_POSTFIELDS, json_encode($transferArray, JSON_UNESCAPED_SLASHES));
        curl_setopt($transferFunds, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($transferFunds, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($transferFunds, CURLOPT_HEADER, false);
        // var_dump($transferFunds);
        $result = curl_exec($transferFunds);
        // var_dump($result);
        curl_close($transferFunds);
        return $result;
    }


    public function getCompletedInvoice($invoice_id)
    {
        $url = 'https://apirone.com/api/v2/invoices/' . $invoice_id;
        $transferFunds = curl_init($url);

        curl_setopt($transferFunds, CURLOPT_POST, false);
        curl_setopt($transferFunds, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($transferFunds, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($transferFunds, CURLOPT_HEADER, false);
        // var_dump($transferFunds);
        $result = json_decode(curl_exec($transferFunds), true);
        // var_dump($result);
        curl_close($transferFunds);
        return $result;
    }
}


// $a = new ApironeApi();
//   $b = $a->getBTCCurrency('40');
// $completedInvoice = $a->getCompletedInvoice('yFUtqvGfhWXnQaad');

// if  ($completedInvoice['user-data']['type'] == 'balance')
// {
//     echo "pp";
// }
// else 
// {
//     echo "ff";
// }
//  var_dump($a->createInvoiceBTC($b, ['i'=> 2, '56' => 44]));

//  var_dump($a->getUSDCurrency(1, 'ltc'));