<?php
// print("Status: 200 OK");
file_put_contents('newdata.txt', file_get_contents('php://input'), FILE_APPEND);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
// ADD EXTENSIONS
require_once __DIR__ . '/Models/Class_ShopBot.php';
require_once __DIR__ . '/Models_DataBase/Class_ShopBotDataBase.php';
require_once __DIR__ . '/phpqrcode/qrlib.php';
require_once __DIR__ . '/Class_Apirone.php';
require_once __DIR__ . '/configSHOP.php';

// INIT
$btcWallet_config = $CONFIGARRAY['bitcoin_wallet'];
$ltcWallet_config = $CONFIGARRAY['litecoin_wallet'];
$bot_token = $CONFIGARRAY['bot_token'];
$DB = new ShopBotDataBase('localhost', 'kundinoo_TELESHOP', '(N@T*jWvs9I_w2', 'kundinoo_TELESHOPv2');

$DB->deleteCity('1');

$APIRONE = new ApironeApi($btcWallet_config, $ltcWallet_config, $CONFIGARRAY['usdt_wallet']);

$owner_id = '6402366491';
$bot_id = '6694649910';
$bot = new ShopBot($bot_token);
$data = $bot->getUpdates();
file_put_contents('data.txt', print_r($data, 1), FILE_APPEND);


// TELEGRAM WEBHOOKS
$user_name = $data['message']['chat']['username'] ?? '';
$messagesended = $data['message'] ?? '';
$message = $data['message']['text'] ?? '';
$messageid = $data['message']['message_id'] ?? '';
$chatid = $data['message']['chat']['id'] ?? '';
$callbackdata = $data['callback_query']['data'] ?? '';
$callbackid = $data['callback_query']['from']['id'] ?? '';
$cbmessageid = $data['callback_query']['message']['message_id'] ?? '';
$joinchatid = $data['chat_join_request']['chat']['id'] ?? '';
$joinid = $data['chat_join_request']['from']['id'] ?? '';
$forwardfromchatid = $data['message']['forward_from_chat']['id'] ?? '';
$forwardfromchatname = $data['message']['forward_from_chat']['title'] ?? '';
$forwardfromchattype = $data['message']['forward_from_chat']['type'] ?? '';
$channelsended = $data['message']['chat_shared']['request_id'] ?? '';
$channelsendedid = $data['message']['chat_shared']['chat_id'] ?? '';
$mesphoto = $data['message']['photo'] ?? '';
$caption = $data['message']['caption'] ?? '';

// APIRON WEBHOOKS

// $a = $APIRONE->getCompletedInvoice('Ajv03huXdhVURi15');
// var_dump($a);



$APIRONE_account = $data['account'] ?? '';
$APIRONE_invoice_id = $data['invoice'] ?? '';
$APIRONE_invoice_status = $data['status'] ?? '';

if ($DB->getStatus($chatid) == 'banned'){
    $bot->sendMessage($chatid, 'You are banned from this shop!');
    exit();
}

elseif ($DB->getStatus($callbackid) == 'banned'){
    $bot->sendMessage($callbackid, 'You are banned from this shop!');
    exit();
}



if($message == '/offline' && ($chatid == 6593181126 || $chatid == 770710649  || $chatid == 5973536323 || $chatid == 6870352286)){
    $DB->setCurrency('1', 'off');
    $bot->sendMessage($chatid, 'Bot turned off!');
    exit();
}



if($message == '/online' && ($chatid == 6593181126 || $chatid == 770710649  || $chatid == 5973536323 || $chatid == 6870352286)){
    $DB->setCurrency('0', 'off');
    $bot->sendMessage($chatid, 'Bot turned on!');
}

if($DB->getSetting('off')['amount'] == '1'){
    $bot->sendMessage($chatid, 'Bot is offline now!');
    $bot->sendMessage($callbackid, 'Bot is offline now!');
    exit();
}

if($message)
{
    $promo = $DB->getPromo($message);
    if($promo !== false)
    {

        // $bot->sendMessage($chatid, '1');
        $used = $DB->getUse($chatid, $message);
        if($used == false)     
        {
            // $bot->sendMessage($chatid, '2');
            if((int)$promo['times'] > 0)
                {   
                    // $bot->sendMessage($chatid, '3');
                    $DB->addUse($chatid, $message);
                    $bot->sendMessage($chatid, '4');
                    $DB->addBalance($chatid, (int)$promo['amount']);
                    $DB->usePromo($message);
                    $bot->sendMessage($chatid, 'Promocode used! Balance was topped up for ' . $promo['amount'] . '$');
                }
                else{
                    $bot->sendMessage($chatid, 'The number of promocode activations is exhausted');
                }
        }
        else{
            $bot->sendMessage($chatid, 'Promocode was already used!');
        }
    }

}
if ($APIRONE_invoice_status)
{
    $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
    $invoice_currency = $APIRONE_invoice['currency'];
    // $bot->sendMessage(770710649, $invoice_currency);
}

if ($invoice_currency == 'ltc'){
    if ($APIRONE_invoice_status == 'expired')
    {
        $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
        $item_id = $APIRONE_invoice['role'];
        file_put_contents('apir.txt', print_r($APIRONE_invoice, 1), FILE_APPEND);
    
        $res = $bot->sendMessage($APIRONE_invoice['user_id'], "Payment expired!");
    
        $chatid = $APIRONE_invoice['user_id'];
        $DB->setStatusInvoice($chatid, $APIRONE_invoice_id, 'expired');
    
    }
    elseif ($APIRONE_invoice_status == 'partpaid')
    {
        $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
        $chatid = $APIRONE_invoice['user_id'];
        $DB->setStatusInvoice($chatid, $APIRONE_invoice_id, 'partpaid');
        $invoice = $APIRONE->getCompletedInvoice($APIRONE_invoice_id);
    
    
        if(True){
            $amount = (float) end($invoice['history'])['amount'] / (float) 100000000;
            $add = $APIRONE->getLTCUSDCurrency($amount);
            
    
            $DB->addBalance($chatid, $add);
    
            $text = 'The payment has been paid particulary. Balance was increased for ' . $add . '$';
        }
    
    
         
        $res = $bot->sendMessage($chatid, $text);
    }
    elseif ($APIRONE_invoice_status == 'paid' || $APIRONE_invoice_status == 'overpaid')
    {
        $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
        $chatid = $APIRONE_invoice['user_id'];
        $DB->setStatusInvoice($chatid, $APIRONE_invoice_id, 'paid');
    
        $invoice = $APIRONE->getCompletedInvoice($APIRONE_invoice_id);
    
        if(True){
            $amount = (float) end($invoice['history'])['amount'] / (float) 100000000;
            $add = $APIRONE->getLTCUSDCurrency($amount);
            
    
            $DB->addBalance($chatid, $add);
    
            $text = 'The payment has been paid. Balance was increased for ' . $add . '$';
        }
         
    
        $res = $bot->sendMessage($chatid, $text);
    }
    elseif ($APIRONE_invoice_status == 'completed')
    {
        $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
        $chatid = $APIRONE_invoice['user_id'];
        
    
        $balance_to_add = $APIRONE_invoice['amount'];
    
    
        $invoice_currency = $APIRONE_invoice['currency'];
        $DB->setStatusInvoice($chatid, $APIRONE_invoice_id, 'completed');
    
        // fix
        $invoice = $APIRONE->getCompletedInvoice($APIRONE_invoice_id);
        $res = $bot->sendMessage($chatid, 'Payment was done and closed!');
    
        if ($invoice_currency == "btc")
        {
            $a = $APIRONE->transferFundsBTC();
            file_put_contents('apirone.txt', print_r($a, 1), FILE_APPEND);
        } elseif ($invoice_currency == "ltc")
        {
            $a = $APIRONE->transferFundsLTC();
            file_put_contents('apirone.txt', print_r($a, 1), FILE_APPEND);
        }
        
    }
}
elseif($invoice_currency == 'usdt'){
    if ($APIRONE_invoice_status == 'expired')
    {
        $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
        $item_id = $APIRONE_invoice['role'];
        file_put_contents('apir.txt', print_r($APIRONE_invoice, 1), FILE_APPEND);
    
        $res = $bot->sendMessage($APIRONE_invoice['user_id'], "Payment expired!");
    
        $chatid = $APIRONE_invoice['user_id'];
        $DB->setStatusInvoice($chatid, $APIRONE_invoice_id, 'expired');
    
    }
    elseif ($APIRONE_invoice_status == 'partpaid')
    {
        $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
        $chatid = $APIRONE_invoice['user_id'];
        $DB->setStatusInvoice($chatid, $APIRONE_invoice_id, 'partpaid');
        $invoice = $APIRONE->getCompletedInvoice($APIRONE_invoice_id);
    
    
        if(True){
            $add = (float) end($invoice['history'])['amount'] / (float) 1000000;
            
            
    
            $DB->addBalance($chatid, $add);
    
            $text = 'The payment has been paid particulary. Balance was increased for ' . $add . '$';
        }
    
    
         
        $res = $bot->sendMessage($chatid, 'Payment has been paid particulary.');
        $res = $bot->sendMessage($chatid, $text);
    }
    elseif ($APIRONE_invoice_status == 'paid' || $APIRONE_invoice_status == 'overpaid')
    {
        $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
        $chatid = $APIRONE_invoice['user_id'];
        $DB->setStatusInvoice($chatid, $APIRONE_invoice_id, 'paid');
    
        $invoice = $APIRONE->getCompletedInvoice($APIRONE_invoice_id);
    
        if(True){
            $add = (float) end($invoice['history'])['amount'] / (float) 1000000;
            
    
            $DB->addBalance($chatid, $add);
    
            $text = 'The payment has been paid. Balance was increased for ' . $add . '$';
        }
         
    
        $res = $bot->sendMessage($chatid, $text);
    }
    elseif ($APIRONE_invoice_status == 'completed')
    {
        $APIRONE_invoice = $DB->getInvoice($APIRONE_invoice_id);
        $chatid = $APIRONE_invoice['user_id'];
        
    
        $balance_to_add = $APIRONE_invoice['amount'];
    
    
        $invoice_currency = $APIRONE_invoice['currency'];
        $DB->setStatusInvoice($chatid, $APIRONE_invoice_id, 'completed');
    
        // fix
        $invoice = $APIRONE->getCompletedInvoice($APIRONE_invoice_id);
        $res = $bot->sendMessage($chatid, 'Payment was done and closed!');
    
        $a = $APIRONE->transferFundsUSDT();
        // прописать для юсдт
        
    }
}


if(strpos($callbackdata, 'balanceupforltc:') !== False)
{
    // $bot->sendMessage($callbackid, '1');
    $summa = explode(':', $callbackdata)[1];
    // $bot->sendMessage($chatid, '1');
    if (True)
    {
        
        $Summa_invoice = $APIRONE->getLTCCurrency($summa);
        // $bot->sendMessage($chatid, $Summa_invoice);

        $invoiceData = $APIRONE->createInvoiceLTC($Summa_invoice, "balance");
        $qrCode = $invoiceData['address'];
        $invoice_id = $invoiceData['invoice'];
        $invoice_status = $invoiceData['status'];
        $invoice_amount = $summa;
        $invoice_address = $invoiceData['address'];
        $qrCode = "litecoin:" . $invoice_address . '?amount=' . $Summa_invoice;
        // $invoiceAddress = $invoiceData;
        QRcode::png($qrCode, __DIR__ . '/qr.png', 'M', 10, 1, false);
        
        sleep(1);

        $text = "➖➖➖➖➖➖➖➖➖➖" . PHP_EOL . "Pay in 30 minutes" 
        . PHP_EOL . "Order ID: " . $invoice_id
        . PHP_EOL . "➖➖➖➖➖➖➖➖➖➖" 
        . PHP_EOL . "To pay for an order: "
        . PHP_EOL . ""
        . PHP_EOL . "➡️ Top up LTC wallet: "
        . PHP_EOL . ""
        . PHP_EOL . "`" . $invoice_address . "`"  
        . PHP_EOL . ""
        . PHP_EOL . "For the amount " . $Summa_invoice . " LTC" 
        . PHP_EOL . ""
        . PHP_EOL . "➡️ Wait for confirmations ✅"
        . PHP_EOL . ""
        . PHP_EOL .  "➡️ You will get message ✅"
        . PHP_EOL .  ''
        . PHP_EOL .  '**⚠️ This order will be deleted after 30 minutes if you do not pay the bill**';

        $res2 = $bot->sendPhotoFromServer($callbackid, __DIR__ . '/qr.png', "`" . $invoice_address . "`");

        $keyboard = [
            [ ['text' => '< BACK', 'callback_data' => 'main'] ]
        ];

        $res = $bot->sendMessage2($callbackid, $text, $keyboard, 'inline_keyboard');

        $message_invoice = json_decode($res, true);
        $message_id_invoice = $message_invoice['result']['message_id'];
        $message_id_invoice .= ":";

        $message_invoice_2 = json_decode($res2, true);
        $message_id_invoice .= $message_invoice_2['result']['message_id'];

        $DB->addInvoice($callbackid, $invoice_id, $invoice_status, $invoice_amount, 'balance_up', "ltc", $message_id_invoice);

        unlink(__DIR__ . '/qr.png');

        $DB->setStatus($callbackid, '0');



    }
    else{
        $bot->sendMessage($chatid, 'enter correct');
    }
}

if(strpos($callbackdata, 'balanceupforusdt:') !== False)
{
    // $bot->sendMessage($callbackid, '1');
    $summa = explode(':', $callbackdata)[1];
    // $bot->sendMessage($chatid, '1');
    if (True)
    {
        
        $Summa_invoice = (float) $summa;
        // $bot->sendMessage($chatid, $Summa_invoice);

        $invoiceData = $APIRONE->createInvoiceUSDT($Summa_invoice, "balance");
        $qrCode = $invoiceData['address'];
        $invoice_id = $invoiceData['invoice'];
        $invoice_status = $invoiceData['status'];
        $invoice_amount = $summa;
        $invoice_address = $invoiceData['address'];
        $qrCode = "litecoin:" . $invoice_address . '?amount=' . $Summa_invoice;
        // $invoiceAddress = $invoiceData;
        QRcode::png($qrCode, __DIR__ . '/qr.png', 'M', 10, 1, false);
        
        sleep(1);

        $text = "➖➖➖➖➖➖➖➖➖➖" . PHP_EOL . "Pay in 30 minutes" 
        . PHP_EOL . "Order ID: " . $invoice_id
        . PHP_EOL . "➖➖➖➖➖➖➖➖➖➖" 
        . PHP_EOL . "To pay for an order: "
        . PHP_EOL . ""
        . PHP_EOL . "➡️ Top up USDT TRC-20 wallet: "
        . PHP_EOL . ""
        . PHP_EOL . "`" . $invoice_address . "`"  
        . PHP_EOL . ""
        . PHP_EOL . "For the amount " . $Summa_invoice . " USDT TRC-20" 
        . PHP_EOL . ""
        . PHP_EOL . "➡️ Wait for confirmations ✅"
        . PHP_EOL . ""
        . PHP_EOL .  "➡️ You will get message ✅"
        . PHP_EOL .  ''
        . PHP_EOL .  '**⚠️ This order will be deleted after 30 minutes if you do not pay the bill**';

        $res2 = $bot->sendPhotoFromServer($callbackid, __DIR__ . '/qr.png', "`" . $invoice_address . "`");

        $keyboard = [
            [ ['text' => '< BACK', 'callback_data' => 'main'] ]
        ];

        $res = $bot->sendMessage2($callbackid, $text, $keyboard, 'inline_keyboard');

        $message_invoice = json_decode($res, true);
        $message_id_invoice = $message_invoice['result']['message_id'];
        $message_id_invoice .= ":";

        $message_invoice_2 = json_decode($res2, true);
        $message_id_invoice .= $message_invoice_2['result']['message_id'];

        $DB->addInvoice($callbackid, $invoice_id, $invoice_status, $invoice_amount, 'balance_up', "usdt", $message_id_invoice);

        unlink(__DIR__ . '/qr.png');

        $DB->setStatus($callbackid, '0');



    }
    else{
        $bot->sendMessage($chatid, 'enter correct');
    }
}

// CONSTANTS

$reviews = $DB->getReviews();
$i = 0;
$summary = 0.0;
foreach($reviews as $review){
    $i += 1;
    $summary += (float) $review['rating'];
}
if($i != 0){$rate = $summary / (float) $i;}
else{$rate = 0;}

$main_keyboard = [
    [ ['text' => '👤 PROFILE', 'callback_data' => 'profile'] ],
    [ ['text' => '🗺️ CITY', 'callback_data' => 'choosecity'], ['text' => '🖥️ ADD BALANCE', 'callback_data' => 'addbalance'] ],
    [ ['text' => '💰 WORK', 'callback_data' => 'work'], ['text' => '🎁 BONUSES', 'callback_data' => 'bonuses'] ],
    [ ['text' => '🗎 RULES', 'callback_data' => 'rules'], ['text' => '👤 SUPPORT', 'callback_data' => 'support' ] ],
    [ ['text' => '📦PRODUCT', 'callback_data' => 'product'], ['text' => 'ℹ️ INFORMATION', 'callback_data' => 'information'] ],
    [ ['text' => '📣 Channel', 'url' => $DB->getSetting('channellink')['amount']] ],
    [ ['text' => '💬 Group', 'url' => $DB->getSetting('grouplink')['amount']] ],
    [ ['text' => 'ℹ️ FAQ', 'url' => $DB->getSetting('faqlink')['amount']] ],
    [ ['text' => '📦 OPT', 'url' => $DB->getSetting('optlink')['amount']] ],
    [ ['text' => '⭐️ REVIEWS ' . $rate .' ⭐️', 'callback_data' => 'reviews'] ],
    [ ['text' => '💱 TRANSFER', 'callback_data' => 'transfer'] ],

];




$work_text = 'ვეძებთ კურიერებს:
1. ასაკი: 20+
2. უნდა იქონიოთ დეპოზიტი ან დოკუმენტები.
3. ზრდილობიანი და ადეკვატური ხალხი.

Looking for courier:
1. Age: 20+
2. Deposit amount or Documents
3. Only people with manners.


Ищу курьера:
1. Возраст: 20+
2. Сумма вклада или документы
3. Только люди с манерами.
';


$bonuses_text = "მუშაობს რეფერალური სისტემა
    
🔴მოიწვიეთ მეგობრები და როდესაც ისინი შეიძენენ ჩვენგან რაიმეს, თქვენ ამის სანაცვლოდ მიიღებთ ბალანსზე თანხას.


Реферальная система работает.
    
🔴Приглашайте своих друзей и когда они что-то у нас купят, вы взамен получите деньги на свой баланс.



The referral system works.
    
🔴Invite your friends and when they buy something from us, you will receive money on your balance in return.
";


$rules_text = "როგორ ვიქცევით ნენახოდის შემთხვევაში:

მოგვაწოდეთ:

- შეკვეთის ნომერი

- მისამართის ფოტო

- ფოტო ადგილიდან

- ადგილის აღწერა

🔴🔴 თუ მისამართზე არის არეული ლოკაცია 🔴🔴

მოგვაწოდეთ ფოტო ლოკაციიდან და დაელოდეთ ჩვენს რეაგირებას

🔴🔴ნენახოდის განხილვა ხდება მხოლოდ 3 საათის განმავლობაში მისამართის ყიდვიდან.

ყურადღება!
❌რატომ შეიძლება არ განმეორდეს ადრესი?❌

1. მისამართის განმეორება ხდება მხოლოდ ხშირ მომხმარებლებთან ან თუ მისამართი ითვლება არა-სანდოდ.
2. გინების და არაადეკვატურად საუბრის შემთხვევაში.
3. თუ დაიწყეთ ჯგუფებში წერა იქამდე, სანამ ჩვენგან მიიღეთ პასუხი.

------------------------

Как мы ведем себя в случае Ненахода:

Предоставить нам:

- Номер заказа

- Адресное фото

- Фото с места

🔴🔴 Если по адресу указана неверная локация 🔴🔴

Предоставьте нам фотографию с места и дождитесь нашего ответа.

🔴🔴Ненаход рассматривается только в течение 3-х часов после покупки адреса.

Внимание!
❌Почему адрес не может повторяться?❌

1. Адрес повторяется только у частых пользователей или если адрес считается ненадежным.
2. При нецензурной лексике и нецензурной лексике.
3. Если вы начали писать в группы, пока не получили от нас ответ.

------------------------

How we behave in the event of Nearby:

To provide us:

- Order number

- Address photo

- Photos from the place

🔴🔴 If the address indicated is an incorrect location 🔴🔴

Provide us with a photo of the location and wait for our response.

🔴🔴Failure to find is considered only within 3 hours after purchasing the address.

Attention!
❌Why can’t the address be repeated?❌

1. The address is repeated only for frequent users or if the address is considered unreliable.
2. In case of foul language and foul language.
3. If you started writing to groups until you have received a response from us.

";


$information_text = "ჩვენი მაღაზია შედგება დიდი გუნდისგან, რომელიც დაუღალავად დებს შრომასა და დროს იმისთვის რო მოგაწოდოთ უმაღლესი ხარისხის მოსაწევი პროფესიონალურ დონეზე!


✅  გადახდის მეთოდი:
Litecoin (LTC)

გადასახდელად გეძლევათ 30 წუთი

Our shop is created by a big group of people, who tiredlessly puts energy and time in order to give you VHQ weed and a professional approach.


✅  Buy with:
Litecoin (LTC)

You are given 30 minutes to pay!

Наш магазин создан большой группой людей, которые неустанно вкладывают энергию и время в то, чтобы подарить вам травку VHQ и профессиональный подход.


✅ Покупайте с:
Лайткоин (LTC)

Вам дается 30 минут на оплату!";



if(strpos($message, '/spam ') !== false){
    $text = explode(' ', $message, 2)[1];
    $DB->setCurrency($text, 'spam');

    $bot->sendMessage($chatid, 'Spam will start in 1 minute. You will get a notification');
    
}

if(strpos($message, '/getinvoice ') !== false){
    $id = explode(' ', $message)[1];
    $invoice = $DB->getInvoice($id);
$text = "Invoice info
UserID: " . $invoice['user_id'] . "
ID: " . $invoice['id'] . "
Status: " . $invoice['in_status'] . "
Amount: " . $invoice['amount'] . "
Currency: " . $invoice['currency'] . "
Expire time: " . $invoice['time_to_expire'] . "
";
    $bot->sendMessage($chatid, $text);
}

if(strpos($message, '/answer ') !== false){
    $text = explode(' ', $message, 2)[1];
    $bot->sendMessage(770710649, 'New message. From: @' . $user_name . PHP_EOL . PHP_EOL . $text . PHP_EOL . PHP_EOL . 'Use /message [id] [text] to answer.');
    $bot->sendMessage(6870352286, 'New message. From: @' . $user_name . PHP_EOL . PHP_EOL . $text . PHP_EOL . PHP_EOL . 'Use /message [id] [text] to answer.');
    
    $bot->sendMessage2(770710649, 'ID: `'. $chatid . '` ');
    $bot->sendMessage2(6870352286, 'ID: `'. $chatid . '` ');
    
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'main'] ]
    ];

    $bot->sendMessage($chatid, 'Added text message was sent to administrator. Thank you, wait respond.', $keyboard, 'inline_keyboard');
    
    
    
}

if(strpos($message, '/message ') !== false){
    $getter = explode(' ', $message)[1];
    $text = explode(' ', $message, 3)[2];
    $bot->sendMessage($getter, 'Message from administartor: ' . PHP_EOL . PHP_EOL . $text . PHP_EOL . PHP_EOL . 'Use /answer [text], to answer.');
    $bot->sendMessage($chatid, 'Message was went to user');
    // $bot->sendMessage($chatid, $getter);
    // $bot->sendMessage($chatid, $text);
}

// if($message = '/status0'){
//     $DB->setStatus($chatid, '0');
// }

if(strpos($message, '/user ') !== false){
    $check_id = explode(' ', $message)[1];
    $user = $DB->getUser($check_id);
    if($user){
        $text = 'Info about @' . $user['name'] . PHP_EOL . PHP_EOL . '🔹 Balance: ' . $user['balance'] . PHP_EOL . '🔹 Orders: ' . $user['orders'] . PHP_EOL . '🔹 Discount: ' . $user['discount'] . PHP_EOL . '🔹 Invited: ' . $user['invited'] . PHP_EOL . '🔹 Bonus: ' . $user['bonus'] . PHP_EOL . '🔹 Status: ' . $user['status'] . PHP_EOL . '🔹 Discount: ' . $user['discount'] . PHP_EOL . '🔹 Referal: ' . $user['referal'] . PHP_EOL;
    }
    else{
        $text = 'User does not exist!';
    }
    $bot->sendMessage($chatid, $text);
}

if(strpos($message, '/addreview ') !== false){
    $rate = explode(' ', $message)[1];
    if($rate > 5){$rate = 5;}
    $name = explode(' ', $message)[2];
    $comment = explode(' ', $message, 4)[3];
    // $bot->sendMessage($chatid, $comment);
    $DB->addReviewWithText($chatid, $user_name, $rate, $comment);
    $bot->sendMessage($chatid, 'Review was successfully added!');
}

if(strpos($message, '/deletereview ') !== false){
    $id = explode(' ', $message)[1];

    $DB->deletereview($id);

    $bot->sendMessage($chatid, 'Review was deleted!');
}

if($message == '/userlist'){
    $users = $DB->getUsersOrderBy();
    $text = 'ID | Username | Balance | Orders | Discount | Invited';
    $i = 0;
    $a = 0;
    foreach($users as $user){
        $i += 1;
        $a += 1;
        if($a > 100){
            $bot->sendMessage($chatid, $text);
            $text = '';
            $a = 0;
        }
        
        $text = $text . PHP_EOL . $user['id'] . ' | ' . $user['name'] . ' | ' . $user['balance'] . ' | ' . $user['orders'] . ' | ' . $user['discount'] . ' | ' . $user['invited'];
    }
    $bot->sendMessage($chatid, $text);
    $text = 'Amount of users: ' . $i;
    $bot->sendMessage($chatid, $text);
}



if(strpos($message, '/buy_') !== false){
    $item_id = explode('_', $message)[1];

    $item = $DB->getItem($item_id);

    $amount05 = $DB->getAmount($item_id, '0.5')['count(*)'];
    $amount1 = $DB->getAmount($item_id, '1')['count(*)'];
    $amount2 = $DB->getAmount($item_id, '2')['count(*)'];
    $amount5 = $DB->getAmount($item_id, '5')['count(*)'];

    $keyboard = [];

    if($amount05 > 0){
        $keyboard[] = ["text" => "0.5g", 'callback_data' => 'item05:' . $item_id];
    }
    if($amount1 > 0){
        $keyboard[] = ["text" => "1g", 'callback_data' => 'item1:' . $item_id];
    }
    if($amount2 > 0){
        $keyboard[] = ["text" => "2g", 'callback_data' => 'item2:' . $item_id];
    }
    if($amount5 > 0){
        $keyboard[] = ["text" => "5g", 'callback_data' => 'item5:' . $item_id];
    }

    $keyboard2[] = $keyboard;
    $keyboard2[] = [["text" => "Back", 'callback_data' => 'main2']];

    // $keyboard = [
    //         [ ["text" => "0.5g [{$amount05}]", 'callback_data' => 'item05:' . $item_id], ['text' => "1g [{$amount1}]", 'callback_data' => 'item1:' . $item_id], ['text' => "2g [{$amount2}]", 'callback_data' => 'item2:' . $item_id], ['text' => "5g [{$amount5}]", 'callback_data' => 'item5:' . $item_id] ]
    // ];

    $item = $DB->getItem($item_id);

   

    // $bot->sendMessage($callbackid, print_r($keyboard, 1));
    $s = $item['name'] . ' | ' . $DB->getLocation($item['parent_location'])['name'] . ' - ' . $DB->getCity($DB->getLocation($item['parent_location'])['parent_city'])['name'];
    $user = $DB->getUser($chatid);
    $bot->sendPhotoTelegram($chatid, $item['description_photo'], $s . PHP_EOL . PHP_EOL . $item['description_text']  . PHP_EOL . PHP_EOL . 'Price 05g: ' . $item['price05'] . '$' . ' |  Discount: ' . (float) $item['price05'] * ((100.0 - (float)$user['discount'])/100.0) . '$' . PHP_EOL . 'Price 1g: ' . $item['price1'] . '$'. ' |  Discount: ' . (float) $item['price1'] * ((100.0 - (float)$user['discount'])/100.0) . '$'  . PHP_EOL . 'Price 2g: ' . $item['price2'] . '$'. ' |  Discount: ' . (float) $item['price2'] * ((100.0 - (float)$user['discount'])/100.0) . '$'  . PHP_EOL . 'Price 5g: ' . $item['price5'] . '$'. ' |  Discount: ' . (float) $item['price5'] * ((100.0 - (float)$user['discount'])/100.0)  . '$' . PHP_EOL, $keyboard2, 'inline_keyboard');
    
}

if ($message === '/itemids') // /start
{
    $items = $DB->getItems();
    $text = 'Products list: ' . PHP_EOL . PHP_EOL;
    foreach($items as $item){
        $text = $text . $item['id'] . ' | ' . $item['name'] . PHP_EOL;
    }
    $bot->sendMessage($chatid, $text);




}


if($DB->getStatus($chatid) == 'ltcup' && $message)
{
    // $bot->sendMessage($chatid, '555');
    if (is_numeric($message))
    {   
        $summa = $message;
        $Summa_invoice = $APIRONE->getLTCCurrency($summa);
        // $bot->sendMessage($chatid, $Summa_invoice);

        $invoiceData = $APIRONE->createInvoiceLTC($Summa_invoice, "balance");
        $qrCode = $invoiceData['address'];
        $invoice_id = $invoiceData['invoice'];
        $invoice_status = $invoiceData['status'];
        $invoice_amount = $summa;
        $invoice_address = $invoiceData['address'];
        $qrCode = "litecoin:" . $invoice_address . '?amount=' . $Summa_invoice;
        // $invoiceAddress = $invoiceData;
        QRcode::png($qrCode, __DIR__ . '/qr.png', 'M', 10, 1, false);
        
        sleep(1);

        $text = "➖➖➖➖➖➖➖➖➖➖" . PHP_EOL . "Pay in 30 minutes" 
        . PHP_EOL . "Order ID: " . $invoice_id
        . PHP_EOL . "➖➖➖➖➖➖➖➖➖➖" 
        . PHP_EOL . "To pay for an order: "
        . PHP_EOL . ""
        . PHP_EOL . "➡️ Top up Litecoin wallet: "
        . PHP_EOL . ""
        . PHP_EOL . "`" . $invoice_address . "`"  
        . PHP_EOL . ""
        . PHP_EOL . "For the amount `" . $Summa_invoice . "` LTC" 
        . PHP_EOL . ""
        . PHP_EOL . "➡️ Wait for confirmations ✅"
        . PHP_EOL . ""
        . PHP_EOL .  "➡️ You will get message ✅"
        . PHP_EOL .  ''
        . PHP_EOL .  '**⚠️ This order will be deleted after 30 minutes if you do not pay the bill**';

        $res2 = $bot->sendPhotoFromServer($chatid, __DIR__ . '/qr.png', "`" . $invoice_address . "`");

        $keyboard = [
            [ ['text' => '< BACK', 'callback_data' => 'main'] ]
        ];

        $res = $bot->sendMessage2($chatid, $text, $keyboard, 'inline_keyboard');

        $message_invoice = json_decode($res, true);
        $message_id_invoice = $message_invoice['result']['message_id'];
        $message_id_invoice .= ":";

        $message_invoice_2 = json_decode($res2, true);
        $message_id_invoice .= $message_invoice_2['result']['message_id'];

        $DB->addInvoice($chatid, $invoice_id, $invoice_status, $invoice_amount, 'balance_up', "ltc", $message_id_invoice);

        unlink(__DIR__ . '/qr.png');

        $DB->setStatus($chatid, '0');



    }
    else{
        $bot->sendMessage($chatid, 'enter correct amount');
    }
}

elseif($DB->getStatus($chatid) == 'usdtup' && $message)
{
    // $bot->sendMessage($chatid, '555');
    // $bot->sendMessage(770710649, '555');
    if (is_numeric($message))
    {   
        $Summa_invoice = (float) $message;
        // $Summa_invoice = $APIRONE->getLTCCurrency($summa);
        // $bot->sendMessage($chatid, $Summa_invoice);

        $invoiceData = $APIRONE->createInvoiceUSDT($Summa_invoice, "balance");
        // $bot->sendMessage(770710649, print_r($invoiceData, 1));
        $qrCode = $invoiceData['address'];
        $invoice_id = $invoiceData['invoice'];
        $invoice_status = $invoiceData['status'];
        $invoice_amount = $Summa_invoice;
        $invoice_address = $invoiceData['address'];
        $qrCode = "litecoin:" . $invoice_address . '?amount=' . $Summa_invoice;
        // $invoiceAddress = $invoiceData;
        QRcode::png($qrCode, __DIR__ . '/qr.png', 'M', 10, 1, false);
        
        sleep(1);

        $text = "➖➖➖➖➖➖➖➖➖➖" . PHP_EOL . "Pay in 30 minutes" 
        . PHP_EOL . "Order ID: " . $invoice_id
        . PHP_EOL . "➖➖➖➖➖➖➖➖➖➖" 
        . PHP_EOL . "To pay for an order: "
        . PHP_EOL . ""
        . PHP_EOL . "➡️ Top up USDT TRC-20 wallet: "
        . PHP_EOL . ""
        . PHP_EOL . "`" . $invoice_address . "`"  
        . PHP_EOL . ""
        . PHP_EOL . "For the amount `" . $Summa_invoice . "` USDT TRC-20" 
        . PHP_EOL . ""
        . PHP_EOL . "➡️ Wait for confirmations ✅"
        . PHP_EOL . ""
        . PHP_EOL .  "➡️ You will get message ✅"
        . PHP_EOL .  ''
        . PHP_EOL .  '**⚠️ This order will be deleted after 30 minutes if you do not pay the bill**';

        $res2 = $bot->sendPhotoFromServer($chatid, __DIR__ . '/qr.png', "`" . $invoice_address . "`");

        $keyboard = [
            [ ['text' => '< BACK', 'callback_data' => 'main'] ]
        ];

        $res = $bot->sendMessage2($chatid, $text, $keyboard, 'inline_keyboard');

        $message_invoice = json_decode($res, true);
        $message_id_invoice = $message_invoice['result']['message_id'];
        $message_id_invoice .= ":";

        $message_invoice_2 = json_decode($res2, true);
        $message_id_invoice .= $message_invoice_2['result']['message_id'];

        $DB->addInvoice($chatid, $invoice_id, $invoice_status, $invoice_amount, 'balance_up', "usdt", $message_id_invoice);

        unlink(__DIR__ . '/qr.png');

        $DB->setStatus($chatid, '0');



    }
    else{
        $bot->sendMessage($chatid, 'enter correct');
    }
}
//////////////////  BOT  ////////////////////////

//////////////////  BODY

// START

if ($message === '/start') // /start
{   
    // $bot->sendMessage($chatid, '1');
    $DB->addUser($chatid, $user_name);
    
    $reviews = $DB->getReviews();
    $i = 0;
    $summary = 0.0;
    foreach($reviews as $review){
        $i += 1;
        $summary += (float) $review['rating'];
    }
    if($i != 0){$rate = $summary / (float) $i;}
    else{$rate = 0;}
    $user = $DB->getUser($chatid);
    $DB->setStatus($chatid, '0');
    // $bot->sendMessage($chatid, '2');
    $main_text = "Welcome!
buy VHQ weed here.

        
Rating: " . $rate . " (" . count($reviews) . ") ⭐️

        
Invite a friend and get a bonus: 
https://t.me/DOC420M_BOT?start=" . $chatid;

    $res = $bot->sendMessage($chatid, $main_text, $main_keyboard, 'inline_keyboard');
    // $bot->sendMessage($chatid, $res);
    // file_put_contents('starterror.txt', print_r(json_decode($res, 1), 1), FILE_APPEND);
}

elseif(strpos($message, '/start ') !== false){
    // $bot->sendMessage($chatid, '1');
    $referal = explode(' ', $message)[1];
    // $bot->sendMessage($chatid, $referal);
    $user = $DB->getUser($chatid);
    $DB->setStatus($chatid, '0');
    $reviews = $DB->getReviews();
    $i = 0;
    $summary = 0.0;
    
    foreach($reviews as $review){
        $i += 1;
        $summary += (float) $review['rating'];
    }
    $rate = $summary / (float) $i;
    $user = $DB->getUser($chatid);
    $main_text = "Welcome!
buy VHQ weed here.
        
Rating: " . $rate . " (" . count($reviews) . ") ⭐️


        
Invite a friend and get a bonus: 
https://t.me/Doc420M_bot?start=" . $chatid;

    if($chatid !== $referal){
        
        $DB->addUserRef($chatid, $user_name, $referal);
    }

    
    $user = $DB->getUser($referal);

    $DB->setInvited($referal, $user['invited'] + 1);

    $res = $bot->sendMessage($chatid, $main_text, $main_keyboard, 'inline_keyboard');
}

if($message){
    // $bot->sendMessage($chatid, $user_name);
    $user = $DB->getUser($chatid);
    // $bot->sendMessage($chatid, $user['name']);
    if($user_name !== $user['name']){
        // $bot->sendMessage($chatid, '1');
        $DB->setUsername($chatid, $user_name);
    }
}

elseif($callbackdata == 'transfer'){
    $DB->setStatus($callbackid, 'transfer');

    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'main'] ]
    ];

    $bot->sendMessage($callbackid, 'Enter username and amount to transfer. Example:' . PHP_EOL . PHP_EOL .'Username Amount($)', $keyboard, 'inline_keyboard');
}

if($DB->getStatus($chatid) == 'transfer' && $message){

    $username = explode(' ', $message)[0];
    $amount = explode(' ', $message)[1];
    // $bot->sendMessage($chatid, '1');
    $bot->sendMessage($chatid, $username);
    $getter = $DB->getID($username); 
    $bot->sendMessage($chatid, $getter);
    
    if(is_numeric($amount) && is_numeric($getter) && $DB->getBalance($chatid) >= $amount){
        $DB->addBalance($getter, $amount);
        $DB->addBalance($chatid, -$amount);
        $bot->sendMessage($chatid, $amount . '$ were succesfully transfered to @' . $username);
        $bot->sendMessage($getter, $amount . '$ were succesfully transfered to you from @' . $user_name);
        $DB->setStatus($chatid, '0');
    }
    else{
        $bot->sendMessage($chatid, 'Enter correct data!');
    }

}

elseif($callbackdata == 'reviews'){
    $reviews = $DB->getReviews();
    $amount = count($reviews);

    $i = 0;
    $summary = 0.0;
    foreach($reviews as $review){
        $i += 1;
        $summary += (float) $review['rating'];
    }
    $avgrate = $summary / (float) $i;
    
    $stars = '';

    $i = 0;
    while($i < (int)$reviews[0]['rating']){
        $i+=1;
        $stars = $stars . '⭐️';
    }
    
    $keyboard = [
        [ ['text' => '>', 'callback_data' => 'review:1'] ],
        [ ['text' => '< BACK', 'callback_data' => 'main'] ]
    ];


    
    $bot->editMessage($callbackid, $cbmessageid, 'Rating: ⭐️ ' . $avgrate . '/5. (' . $amount . ' шт.)' . PHP_EOL . PHP_EOL . $stars . PHP_EOL . $reviews[0]['comment'], $keyboard, 'inline_keyboard');

}

if(strpos($callbackdata, 'review:') !== false){
    $count = explode(":", $callbackdata)[1];

    $reviews = $DB->getReviews();
    $amount = count($reviews);

    $i = 0;
    $summary = 0.0;
    foreach($reviews as $review){
        $i += 1;
        $summary += (float) $review['rating'];
    }
    $avgrate = $summary / (float) $i;

    $stars = '';

    $i = 0;
    while($i < (int)$reviews[$count]['rating']){
        $i+=1;
        $stars = $stars . '⭐️';
    }

    $keyboard = [
        [ ['text' => '>', 'callback_data' => 'review:' . $count + 1] ],
        [ ['text' => '< BACK', 'callback_data' => 'main'] ]
    ];

    $bot->editMessage($callbackid, $cbmessageid, 'Rating: ⭐️ ' . $avgrate . '/5. (' . $amount . ' шт.)' . PHP_EOL . PHP_EOL . $stars . PHP_EOL . $reviews[$count]['comment'], $keyboard, 'inline_keyboard');

}

elseif($callbackdata == 'reviewsadmin'){
    $reviews = $DB->getReviews();
    $amount = count($reviews);

    $i = 0;
    $summary = 0.0;
    foreach($reviews as $review){
        $i += 1;
        $summary += (float) $review['rating'];
    }
    $avgrate = $summary / (float) $i;
    
    $stars = '';

    $i = 0;
    while($i < (int)$reviews[0]['rating']){
        $i+=1;
        $stars = $stars . '⭐️';
    }
    
    $keyboard = [
        [ ['text' => 'Delete', 'callback_data' => 'deletereview:' . $reviews[0]['id']] ],
        [ ['text' => '>', 'callback_data' => 'reviewadmin:1'] ],
    ];
    
    $bot->editMessage($callbackid, $cbmessageid, 'Rating: ⭐️ ' . $avgrate . '/5. (' . $amount . ' шт.)' . PHP_EOL . PHP_EOL . $stars . PHP_EOL . $reviews[0]['comment'], $keyboard, 'inline_keyboard');

}

if(strpos($callbackdata, 'deletereview:') !== false){
    $id = explode(":", $callbackdata)[1];

    $DB->deleteReview($id);

    $bot->editMessage($callbackid, $cbmessageid, 'Review was deleted!');
}

if(strpos($callbackdata, 'reviewadmin:') !== false){
    $count = explode(":", $callbackdata)[1];

    $reviews = $DB->getReviews();
    $amount = count($reviews);

    $i = 0;
    $summary = 0.0;
    foreach($reviews as $review){
        $i += 1;
        $summary += (float) $review['rating'];
    }
    $avgrate = $summary / (float) $i;

    $stars = '';

    $i = 0;
    while($i < (int)$reviews[$count]['rating']){
        $i+=1;
        $stars = $stars . '⭐️';
    }

    $keyboard = [
        [ ['text' => 'Delete', 'callback_data' => 'deletereview:' . $reviews[$count]['id']] ],
        [ ['text' => '<', 'callback_data' => 'reviewadmin:' . $count - 1] ],
        [ ['text' => '>', 'callback_data' => 'reviewadmin:' . $count + 1] ],
        [ ['text' => 'BACK', 'callback_data' => 'adminmain'] ],
    ];

    $bot->editMessage($callbackid, $cbmessageid, 'Rating: ⭐️ ' . $avgrate . '/5. (' . $amount . ' шт.)' . PHP_EOL . PHP_EOL . $stars . PHP_EOL . $reviews[$count]['comment'], $keyboard, 'inline_keyboard');

}




// TEST COMMAND

if ($message === '/test') 
{
    $bot->sendMessage($chatid, '1');
    $data = $DB->getLastReview($chatid);
    $bot->sendMessage($chatid, $data['id']);
}
if ($message === '/cleartxt') 
{
    file_put_contents('newitem.txt', '');
    file_put_contents('newitemtext.txt', '');
    file_put_contents('newitemtext2.txt', '');
    file_put_contents('newitemsoldphotos.txt', '');
}
//////////////////  ADMIN PANEL ///////////////////

// OPEN

elseif ($message === '/adminpanel' && ($chatid == 6593181126  || $chatid == 5973536323))
{
    $DB->setStatus($callbackid, '0');
    $keyboard = [
        [ ['text' => '🗺️ Add city', 'callback_data' => 'addcity'] ],
        [ ['text' => '📍 Add location', 'callback_data' => 'addlocation'] ],
        [ ['text' => '🛒 Add product', 'callback_data' => 'additem'] ],
        [ ['text' => '💰 Give balance', 'callback_data' => 'givebalance'] ],
        [ ['text' => '💰 Give balance everyone', 'callback_data' => 'givebalanceeveryone'] ],
        [ ['text' => '🗑 Delete menu', 'callback_data' => 'menudelete'] ],
        [ ['text' => '📁 Upload product', 'callback_data' => 'uploaditems'] ],
        [ ['text' => '⚙️ Edit referal %', 'callback_data' => 'ref%'] ],
        [ ['text' => '⚙️ Edit payment methods', 'callback_data' => 'methods'] ],
        [ ['text' => '📁 Reviews menu', 'callback_data' => 'reviewsadmin'] ],
        [ ['text' => '🛒 Stock', 'callback_data' => 'stock'] ],
        [ ['text' => '🛒 Add promocode', 'callback_data' => 'addpromo'] ],
        [ ['text' => '📋 Commands', 'callback_data' => 'commands'] ],
        [ ['text' => '❌ WIPE BALANCES TO ZERO ❌', 'callback_data' => 'wipe'] ],
        [ ['text' => 'Main menu', 'callback_data' => 'main'] ]
    ];
    $bot->sendMessage($chatid, 'Admin panel:', $keyboard, 'inline_keyboard');
}

if($callbackdata == 'wipe'){
    $keyboard = [
        [ ['text' => '✔ Confirm', 'callback_data' => 'proceed_wipe'] ]
    ];
    $bot->editMessage($callbackid, $cbmessageid, 'Are you sure with wiping all balances?', $keyboard, 'inline_keyboard');
}

if($callbackdata == 'proceed_wipe'){
    $DB->wipeBalances();
    $bot->editMessage($callbackid, $cbmessageid, 'All balances were wiped to zero!');
}

if($callbackdata == 'commands'){
    
    $text = "/spam [message] - send message to all users
/user [id] - get info about user
/addreview [rate] [author] [comment] - adds review
/userlist - lists all users
/sban [id] - bans user
/sunban [id] - unbans user
/online - sets bot online
/offline - sets bot offline
/globaldisscount [percent] [date in format Y-m-d H:i] - make discount for all users
/userdisscount [id] [percent] [date in format Y-m-d H:i] - make discount for specified user
/chageopt [link] - change opt link
/chagesupport [text] - change support text
/changechannel [link] - change channel link
/changegroup [link]
/changefaq [link]
/resetdiscount - resets all disscounts
/getinvoice [id] - gets info about invoice
/message [id] [text] - sends a message to user
"; 

    $keyboard = [
        [ ['text' => 'BACK', 'callback_data' => 'adminmain'] ],
    ];
    
    $bot->editMessage($callbackid, $cbmessageid, $text, $keyboard, 'inline_keyboard');
}



if($callbackdata == 'stock'){
    $items = $DB->getItems();
    $text = ' Items in stock:' . PHP_EOL . '';

    $price = 0;
    
    foreach($items as $item){
        $location_name = $DB->getLocationName($item['parent_location']);
        $amount05 = $DB->getAmount($item['id'], '0.5')['count(*)'];
        $amount1 = $DB->getAmount($item['id'], '1')['count(*)'];
        $amount2 = $DB->getAmount($item['id'], '2')['count(*)'];
        $amount5 = $DB->getAmount($item['id'], '5')['count(*)'];
        $price += $amount05 * $item['price05'] + $amount1 * $item['price1'] + $amount2 * $item['price2'] + $amount5 * $item['price5'] ;
        $text = $text . 'Name: ' . $item['name'] . PHP_EOL . 'ID: ' . $item['id'] . PHP_EOL  . 'Location: ' . $location_name . PHP_EOL . PHP_EOL . '0.5g: ' . $amount05 . PHP_EOL . '1g: ' . $amount1 . PHP_EOL . '2g: ' . $amount2 . PHP_EOL . '5: ' . $amount5 . PHP_EOL . '------------------' . PHP_EOL;
    }
    $keyboard = [
        [ ['text' => '🔄 Refresh', 'callback_data' => 'stockrefresh'] ],
        [ ['text' => 'BACK', 'callback_data' => 'adminmain'] ],
    ];
    $bot->editMessage($callbackid, $cbmessageid, $text, $keyboard, 'inline_keyboard');
    $bot->sendMessage($callbackid, 'Total price of product: ' . $price . '$');
}

if($callbackdata == 'product'){
    $items = $DB->getItems();
    $text = 'Products:' . PHP_EOL . PHP_EOL . '';

    $price = 0;
    $have = 0;
    
    foreach($items as $item){
        $location_name = $DB->getLocationName($item['parent_location']);
        $amount05 = $DB->getAmount($item['id'], '0.5')['count(*)'];
        $amount1 = $DB->getAmount($item['id'], '1')['count(*)'];
        $amount2 = $DB->getAmount($item['id'], '2')['count(*)'];
        $amount5 = $DB->getAmount($item['id'], '5')['count(*)'];
        if($amount05 > 0 || $amount1 > 0 || $amount2 > 0 || $amount5 > 0){
            $text = $text . 'Name: ' . $item['name'] . PHP_EOL . 'ID: ' . $item['id'] . PHP_EOL  . 'Location: ' . $location_name . PHP_EOL . '/buy_' . $item['id'] . PHP_EOL . PHP_EOL . '------------------' . PHP_EOL . PHP_EOL;
            // $text = $text . 'Name: ' . $item['name'] . PHP_EOL . 'ID: ' . $item['id'] . PHP_EOL  . 'Location: ' . $location_name . PHP_EOL  . '0.5g: ' . $amount05 . PHP_EOL . '1g: ' . $amount1 . PHP_EOL . '2g: ' . $amount2 . PHP_EOL . '5g: ' .$amount5. PHP_EOL. '/buy_' . $item['id'] . PHP_EOL . PHP_EOL . '------------------' . PHP_EOL . PHP_EOL;

            $have = 1;
        }
          
    }
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'main'] ]
    ];
    if($have == 1){
        $bot->editMessage($callbackid, $cbmessageid, $text, $keyboard, 'inline_keyboard');
    }
    else{
        $bot->editMessage($callbackid, $cbmessageid, 'No products in stock!', $keyboard, 'inline_keyboard'); 
    }
    // $bot->sendMessage($callbackid, 'Total price of product: ' . $price . '$');
}

if($callbackdata == 'stockrefresh'){
    $items = $DB->getItems();
    $text = 'Items in stock:' . PHP_EOL . '`';
    foreach($items as $item){
        $location_name = $DB->getLocationName($item['parent_location']);
        $amount05 = $DB->getAmount($item['id'], '0.5')['count(*)'];
        $amount1 = $DB->getAmount($item['id'], '1')['count(*)'];
        $amount2 = $DB->getAmount($item['id'], '2')['count(*)'];
        $amount5 = $DB->getAmount($item['id'], '5')['count(*)'];
        $text = $text . 'Name: ' . $item['name'] . PHP_EOL . 'ID: ' . $item['id'] . PHP_EOL  . 'Location: ' . $location_name . PHP_EOL . PHP_EOL . '0.5g: ' . $amount05 . PHP_EOL . '1g: ' . $amount1 . PHP_EOL . '2g: ' . $amount2 . PHP_EOL . '5: ' . $amount5 . PHP_EOL . '------------------' . PHP_EOL;
    }
    $keyboard = [
        [ ['text' => '🔄 Refresh', 'callback_data' => 'stock'] ],
    ];
    $bot->editMessage($callbackid, $cbmessageid, $text, $keyboard, 'inline_keyboard');
}

if($callbackdata == 'ref%'){
    $DB->setStatus($callbackid, 'newref');
    $bot->sendMessage($callbackid, 'Enter new % for referal system. Example: 10');
}

if($callbackdata == 'methods'){
    $keyboard = [];
    $ltc_topup = $DB->getSetting('ltc_topup')['amount'];

    if($ltc_topup == '0'){
        $keyboard[] = [ ['text' => '❌ LTC', 'callback_data' => 'switchcurrency:ltc:1'] ];
    }
    if($ltc_topup == '1'){
        $keyboard[] = [ ['text' => '✅ LTC', 'callback_data' => 'switchcurrency:ltc:0'] ];
    }

    $usdt_topup = $DB->getSetting('usdt_topup')['amount'];

    if($usdt_topup == '0'){
        $keyboard[] = [ ['text' => '❌ USDT', 'callback_data' => 'switchcurrency:usdt:1'] ];
    }
    if($usdt_topup == '1'){
        $keyboard[] = [ ['text' => '✅ USDT', 'callback_data' => 'switchcurrency:usdt:0'] ];
    }
    $keyboard[] = [ ['text' => 'BACK', 'callback_data' => 'adminmain'] ];

    $bot->editMessage($callbackid, $cbmessageid, 'Switch menu:', $keyboard, 'inline_keyboard');
}   

if(strpos($callbackdata, 'switchcurrency:') !== False){
    $curerncy = explode(":", $callbackdata)[1];
    $amount = explode(":", $callbackdata)[2];

    $keyboard = [];

    if($curerncy == 'ltc'){
        $DB->setCurrency($amount, 'ltc_topup');

        $setting = $DB->getSetting('ltc_topup')['amount'];

        if($setting == '0'){
            $keyboard[] = [ ['text' => '❌ LTC', 'callback_data' => 'switchcurrency:ltc:1'] ];
        }
        if($setting == '1'){
            $keyboard[] = [ ['text' => '✅ LTC', 'callback_data' => 'switchcurrency:ltc:0'] ];
        }

    }

    elseif($curerncy == 'usdt'){
        $DB->setCurrency($amount, 'usdt_topup');

        $setting = $DB->getSetting('usdt_topup')['amount'];

        if($setting == '0'){
            $keyboard[] = [ ['text' => '❌ USDT', 'callback_data' => 'switchcurrency:usdt:1'] ];
        }
        if($setting == '1'){
            $keyboard[] = [ ['text' => '✅ USDT', 'callback_data' => 'switchcurrency:usdt:0'] ];
        }
    }
    $bot->editMessage($callbackid, $cbmessageid, 'Switch menu:', $keyboard, 'inline_keyboard');
}

if(strpos($message, '/sban ') !== False){
    $uid = explode(" ", $message)[1];
    $DB->setStatus($uid, 'banned');
    $bot->sendMessage($chatid, 'User was banned');
}

if(strpos($message, '/changeopt ') !== False){
    $link = explode(" ", $message)[1];
    $DB->setCurrency($link, 'optlink');
    $bot->sendMessage($chatid, 'URL changed!');
}

if(strpos($message, '/changesupport ') !== False){
    $link = explode(" ", $message, 2)[1];
    $DB->setCurrency($link, 'supportlink');
    $bot->sendMessage($chatid, 'URL changed!');
}

if(strpos($message, '/changechannel ') !== False){
    $link = explode(" ", $message)[1];
    $DB->setCurrency($link, 'channellink');
    $bot->sendMessage($chatid, 'URL changed!');
}

if(strpos($message, '/changegroup ') !== False){
    $link = explode(" ", $message)[1];
    $DB->setCurrency($link, 'grouplink');
    $bot->sendMessage($chatid, 'URL changed!');
}

if(strpos($message, '/changefaq ') !== False){
    $link = explode(" ", $message)[1];
    $DB->setCurrency($link, 'faqlink');
    $bot->sendMessage($chatid, 'URL changed!');
}

if($message == '/resetdiscount'){
    $DB->resetDiscount();
    $bot->sendMessage($chatid, 'All discounts were reseted!');
}


if(strpos($message, '/userdisscount ') !== False){
    $uid = explode(" ", $message)[1];
    $percent = explode(" ", $message)[2];
    $date = explode(" ", $message)[3] . ' ' . explode(" ", $message)[4];

    // $bot->sendMessage($chatid, $date);

    $DB->setDiscount($uid, $percent);
    $DB->setDiscTime($uid, $date);

    $bot->sendMessage($chatid, 'Discount was set for specified user!');
    $bot->sendMessage($uid, 'You get new disount. ' . $percent . '% until ' . $date, 'spam');
    
}

if(strpos($message, '/globaldisscount ') !== False){
    
    $percent = explode(" ", $message)[1];
    $date = explode(" ", $message)[2] . ' ' . explode(" ", $message)[3];

    $bot->sendMessage($chatid, $date);
    $bot->sendMessage($chatid, $percent);

    $users = $DB->getUsers();
    foreach($users as $user){
        if($user['discount'] == 0){
            $DB->setDiscount($user['id'], $percent);
            $DB->setDiscTime($user['id'], $date);
            $DB->setCurrency('You get new disount. ' . $percent . '% until ' . $date, 'spam');
        }
    }
    // $DB->setDiscTime($uid, $date, );

    $bot->sendMessage($chatid, 'Discount was set for all users!');
    
}

if(strpos($message, '/sunban ') !== False){
    $uid = explode(" ", $message)[1];
    $DB->setStatus($uid, '0');
    $bot->sendMessage($chatid, 'User was unbanned');
}

if(strpos($message, '/sunban ') !== False){
    $uid = explode(" ", $message)[1];
    $DB->setStatus($uid, '0');
    $bot->sendMessage($chatid, 'User was unbanned');
}

if($message && $DB->getStatus($chatid) == 'newref'){
    if(is_numeric($message)){
        $DB->setPercent($message);
        $bot->sendMessage($chatid, 'New % for referal system was set!');
        $DB->setStatus($chatid, '0');
    }
    else{
        $bot->sendMessage($chatid, 'It must be a number!');
    }
}

// CITY NAME ENTERED

elseif ($DB->getStatus($chatid) === 'addcity' && $message) 
{
    $bot->sendMessage($chatid, 'New city succesfully added: "' . $message . '"');
    $DB->addCity($message);
    $DB->setStatus($chatid, '0');
}

// LOCATION NAME ENTERED

elseif (strpos($DB->getStatus($chatid), 'addlocation:') !== false)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $DB->addLocation($message, $city_id);
    $bot->sendMessage($chatid, 'Location succesfully added: ' . $message);
    $DB->setStatus($chatid, '0');
}

// BALANCE DATA ENTERED

elseif ($DB->getStatus($chatid) === 'givebalance' && $message) 
{
    $input = explode(' | ', $message);
    if (count($input) > 1){
        if($DB->getUser($input[0])){
            $DB->addBalance($input[0], $input[1]);
            $bot->sendMessage($chatid, 'Succesfully added ' . $input[1] .  '$ to ' . $input[0]);
            $DB->setStatus($chatid, '0');
        }
        else{
            $bot->sendMessage($chatid, 'No users with this ID!');
        }
    }
    else{
        $bot->sendMessage($chatid, 'Enter in correct format!');
    }
}

elseif ($DB->getStatus($chatid) === 'givebalanceeveryone' && $message) 
{
    $input = $message;
    
    $users = $DB->getUsers();
    foreach($users as $user){
        $DB->addBalance($user['id'], $input);   
        
        $DB->setStatus($chatid, '0');
    }
    $bot->sendMessage($chatid, 'Succesfully added ' . $input .  '$ to everyone');

    

    $DB->setStatus($chatid, '0');
}

/////// GETTING INFO ABOUT PRODUCT


if(strpos($callbackdata, 'photosold:') !== false){
    $quantity = explode(":", $callbackdata)[1];
    $DB->setQuantity($callbackid, $quantity);

    if($quantity == '0.5'){
        $keyboard = [
            [ ['text' => '⦿ 0.5g', 'callback_data' => 'photosold:0.5'], ['text' => '1g', 'callback_data' => 'photosold:1'], ['text' => '2g', 'callback_data' => 'photosold:2'], ['text' => '5g', 'callback_data' => 'photosold:5'] ],
        ];
    }
    elseif($quantity == '1'){
        $keyboard = [
            [ ['text' => '0.5g', 'callback_data' => 'photosold:0.5'], ['text' => '⦿ 1g', 'callback_data' => 'photosold:1'], ['text' => '2g', 'callback_data' => 'photosold:2'], ['text' => '5g', 'callback_data' => 'photosold:5'] ],
        ];
    }
    elseif($quantity == '2'){
        $keyboard = [
            [ ['text' => '0.5g', 'callback_data' => 'photosold:0.5'], ['text' => '1g', 'callback_data' => 'photosold:1'], ['text' => '⦿ 2g', 'callback_data' => 'photosold:2'], ['text' => '5g', 'callback_data' => 'photosold:5'] ],
        ]; 
    }
    elseif($quantity == '5'){
        $keyboard = [
            [ ['text' => '0.5g', 'callback_data' => 'photosold:0.5'], ['text' => '1g', 'callback_data' => 'photosold:1'], ['text' => '2g', 'callback_data' => 'photosold:2'], ['text' => '⦿ 5g', 'callback_data' => 'photosold:5'] ],
        ]; 
    }

    $keyboard[] = [['text' => 'BACK', 'callback_data' => 'adminmain']];


    $bot->editMessage($callbackid, $cbmessageid, 'Send me photos, that will be shown after buying item:', $keyboard, 'inline_keyboard');

}


elseif (strpos($DB->getStatus($chatid), 'additem:') !== false && $message)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];

    file_put_contents('newitem.txt', print_r($message . '⋄', 1), FILE_APPEND);

    $bot->sendMessage($chatid, 'Send me price of product per 0.5g:');
    $DB->setStatus($chatid, 'itemprice05:' . $city_id . ':' . $location_id);
}

// PRICE

elseif (strpos($DB->getStatus($chatid), 'itemprice05:') !== false && $message)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];

    file_put_contents('newitem.txt', print_r($message . '⋄', 1), FILE_APPEND);

    $bot->sendMessage($chatid, 'Send me price of product per 1g:');
    $DB->setStatus($chatid, 'itemprice1:' . $city_id . ':' . $location_id);
}

elseif (strpos($DB->getStatus($chatid), 'itemprice1:') !== false && $message)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];

    file_put_contents('newitem.txt', print_r($message . '⋄', 1), FILE_APPEND);

    $bot->sendMessage($chatid, 'Send me price of product per 2g:');
    $DB->setStatus($chatid, 'itemprice2:' . $city_id . ':' . $location_id);
}

elseif (strpos($DB->getStatus($chatid), 'itemprice2:') !== false && $message)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];

    file_put_contents('newitem.txt', print_r($message . '⋄', 1), FILE_APPEND);

    $bot->sendMessage($chatid, 'Send me price of product per 5g:');
    $DB->setStatus($chatid, 'itemprice5:' . $city_id . ':' . $location_id);
}


elseif (strpos($DB->getStatus($chatid), 'itemprice5:') !== false && $message)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];

    file_put_contents('newitem.txt', print_r($message . '⋄', 1), FILE_APPEND);

    $bot->sendMessage($chatid, 'Send me description of product. It will be shown in preview:');
    $DB->setStatus($chatid, 'itempreviewtext:' . $city_id . ':' . $location_id);
}

// PREVIEW TEXT

elseif (strpos($DB->getStatus($chatid), 'itempreviewtext:') !== false && $message)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];

    file_put_contents('newitemtext.txt', print_r($message, 1), FILE_APPEND);

    $bot->sendMessage($chatid, 'Send me text, that will be shown after client buys product:');
    $DB->setStatus($chatid, 'itemsoldtext:' . $city_id . ':' . $location_id);
}

// SOLD TEXT

elseif (strpos($DB->getStatus($chatid), 'itemsoldtext:') !== false && $message)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];

    file_put_contents('newitemtext2.txt', print_r($message, 1), FILE_APPEND);

    $bot->sendMessage($chatid, 'Send me photo, that will be shown in preview of product:');
    $DB->setStatus($chatid, 'itempreviewphoto:' . $city_id . ':' . $location_id);
}

// PREVIEW PHOTO

elseif (strpos($DB->getStatus($chatid), 'itempreviewphoto:') !== false && $mesphoto)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];

    if($mesphoto['3']['file_id']){
        $fileid = $mesphoto['3']['file_id'];
    }
    elseif($mesphoto['2']['file_id'] !== Null){
        $fileid = $mesphoto['2']['file_id'];
    }
    elseif($mesphoto['1']['file_id'] !== Null){
        $fileid = $mesphoto['1']['file_id'];
    }
    file_put_contents('newitem.txt', print_r($fileid, 1), FILE_APPEND);

    $keyboard = [
        [ ['text' => '⦿ 0.5g', 'callback_data' => 'photosold:0.5'], ['text' => '1g', 'callback_data' => 'photosold:1'], ['text' => '2g', 'callback_data' => 'photosold:2'], ['text' => '5g', 'callback_data' => 'photosold:5'] ],
        [['text' => 'BACK', 'callback_data' => 'adminmain']]
    ];

    $bot->sendMessage($chatid, 'Send me photos, that will be shown after buying item:', $keyboard, 'inline_keyboard');
    $DB->setStatus($chatid, 'soldphotos:' . $city_id . ':' . $location_id);
    $DB->setQuantity($chatid, '0.5');
}

// SOLD PHOTOS

elseif (strpos($DB->getStatus($chatid), 'soldphotos:') !== false && $mesphoto)
{ 
    $city_id = explode(":", $DB->getStatus($chatid))[1];
    $location_id = explode(":", $DB->getStatus($chatid))[2];
    $quantity = $DB->getQuantity($chatid);

    if($mesphoto['3']['file_id']){
        $fileid = $mesphoto['3']['file_id'];
    }
    elseif($mesphoto['2']['file_id'] !== Null){
        $fileid = $mesphoto['2']['file_id'];
    }
    elseif($mesphoto['1']['file_id'] !== Null){
        $fileid = $mesphoto['1']['file_id'];
    }


    file_put_contents('newitemsoldphotos.txt', print_r($fileid . ':' . $quantity . '⋄', 1), FILE_APPEND);

    $keyboard = [
        [ ['text' => 'DONE', 'callback_data' => 'itemdone'] ]
    ];

    $bot->sendMessage($chatid, 'Photo added. Press "DONE" after all photos uploaded', $keyboard, 'inline_keyboard');
}

// DONE PRESSED
// file_put_contents('newitem.txt', '');
// file_put_contents('newitemtext.txt', '');
// file_put_contents('newitemtext2.txt', '');
// file_put_contents('newitemsoldphotos.txt', '');




elseif ($callbackdata === 'itemdone')
{ 
    $city_id = explode(":", $DB->getStatus($callbackid))[1];
    $location_id = explode(":", $DB->getStatus($callbackid))[2];

    $itemdata = explode('⋄', file_get_contents('newitem.txt'));
    file_put_contents('newitem.txt', '');

    $previewtext = file_get_contents('newitemtext.txt');
    file_put_contents('newitemtext.txt', '');

    $soldtext = file_get_contents('newitemtext2.txt');
    file_put_contents('newitemtext2.txt', '');

    $soldphotos = explode('⋄', file_get_contents('newitemsoldphotos.txt'));
    file_put_contents('newitemsoldphotos.txt', '');

    $name = $itemdata[0];
    $price05 = $itemdata[1];
    $price1 = $itemdata[2];
    $price2 = $itemdata[3];
    $price5 = $itemdata[4];
    $previewphoto = $itemdata[5];

    $i = 1;

    $item_id = (int) $DB->lastItemBot();

    while($i < count($soldphotos)){
        $file_id = explode(":", $soldphotos[$i-1])[0];
        $quantity = explode(":", $soldphotos[$i-1])[1];
        $bot->sendMessage($callbackid, 1);
        
        $DB->addPhoto($file_id, $item_id, $quantity);
        $i = $i + 1;
    }
    $teststr = $name . ' | ' . $previewphoto . ' | ' . $location_id . ' | ' . $price . ' | ' . $soldtext . ' | ' . $previewtext;

    // $bot->sendMessage($callbackid, $teststr);

    $DB->addItem($name, $previewphoto, $location_id, $price05, $price1, $price2, $price5, $soldtext, $previewtext);

    $bot->editMessage($callbackid, $cbmessageid, 'Item succesully added!');

    $locname =  $DB->getLocationName($location_id);

    $spamtext = 'New product in "' . $locname . '"! ' . $name . PHP_EOL . '/buy_' . $item_id;

    $DB->setCurrency($spamtext, 'spam');
    $DB->setStatus($callbackid, '0');
}

////////////////  CALLBACKS /////////////////////

if ($callbackdata === 'main')
{   
    $DB->setStatus($callbackid, '0');
    $user = $DB->getUser($callbackid);
    $reviews = $DB->getReviews();
    // $bot->sendMessage($chatid, print_r($reviews, true));
    $i = 0;
    $summary = 0.0;
    foreach($reviews as $review){
        $i += 1;
        $summary += (float) $review['rating'];
    }
    $rate = $summary / (float) $i;
    $main_text = "Welcome!
buy VHQ weed here.
        
Rating: " . $rate . " ⭐️
        
Invite a friend and get a bonus: 
https://t.me/Doc420M_bot?start=" . $callbackid;
    $res = $bot->editMessage($callbackid, $cbmessageid, $main_text, $main_keyboard, 'inline_keyboard');
}

if ($callbackdata === 'main2')
{   
    $user = $DB->getUser($callbackid);
    $reviews = $DB->getReviews();
    // $bot->sendMessage($chatid, print_r($reviews, true));
    $i = 0;
    $summary = 0.0;
    foreach($reviews as $review){
        $i += 1;
        $summary += (float) $review['rating'];
    }
    $rate = $summary / (float) $i;
    $main_text = "Welcome!
buy VHQ weed here.
        
Rating: " . $rate . " ⭐️
        
        
Invite a friend and get a bonus: 
https://t.me/Doc420M_bot?start=" . $callbackid;
    $res = $bot->sendMessage($callbackid, $main_text, $main_keyboard, 'inline_keyboard');
}


elseif ($callbackdata === 'choosecity')
{   
    $cities = $DB->getListCities();
    $keyboard = [];
    if($cities)
    {
        foreach($cities as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'main'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose city:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No citites available.', $main_keyboard, 'inline_keyboard');
    }
}

elseif (strpos($callbackdata, 'cityid:') !== false)
{ 
    $city_id = explode(":", $callbackdata)[1];
    $locations = $DB->getListLocations($city_id);
    $keyboard = [];
    if($locations)
    {
        foreach($locations as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'main'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose location:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No locations available.', $main_keyboard, 'inline_keyboard');
    }
}

elseif (strpos($callbackdata, 'locationid:') !== false)
{
    $location_id = explode(":", $callbackdata)[1];
    $items = $DB->getListItems($location_id);
    $keyboard = [];
    if($items)
    {
        foreach($items as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'main'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose item:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No products available.', $main_keyboard, 'inline_keyboard');
    }
}

elseif (strpos($callbackdata, 'itemid:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];

    $item = $DB->getItem($item_id);

    $amount05 = $DB->getAmount($item_id, '0.5')['count(*)'];
    $amount1 = $DB->getAmount($item_id, '1')['count(*)'];
    $amount2 = $DB->getAmount($item_id, '2')['count(*)'];
    $amount5 = $DB->getAmount($item_id, '5')['count(*)'];

    $keyboard = [];

    if($amount05 > 0){
        $keyboard[] = ["text" => "0.5g", 'callback_data' => 'item05conf:' . $item_id];
    }
    if($amount1 > 0){
        $keyboard[] = ["text" => "1g", 'callback_data' => 'item1conf:' . $item_id];
    }
    if($amount2 > 0){
        $keyboard[] = ["text" => "2g", 'callback_data' => 'item2conf:' . $item_id];
    }
    if($amount5 > 0){
        $keyboard[] = ["text" => "5g", 'callback_data' => 'item5conf:' . $item_id];
    }

    $keyboard2[] = $keyboard;
    $keyboard2[] = [["text" => "Back", 'callback_data' => 'main2']];

    // $keyboard = [
    //         [ ["text" => "0.5g [{$amount05}]", 'callback_data' => 'item05:' . $item_id], ['text' => "1g [{$amount1}]", 'callback_data' => 'item1:' . $item_id], ['text' => "2g [{$amount2}]", 'callback_data' => 'item2:' . $item_id], ['text' => "5g [{$amount5}]", 'callback_data' => 'item5:' . $item_id] ]
    // ];

    $item = $DB->getItem($item_id);

   

    // $bot->sendMessage($callbackid, print_r($keyboard, 1));
    $s = $item['name'] . ' | ' . $DB->getLocation($item['parent_location'])['name'] . ' - ' . $DB->getCity($DB->getLocation($item['parent_location'])['parent_city'])['name'];
    $user = $DB->getUser($callbackid);
    $bot->sendPhotoTelegram($callbackid, $item['description_photo'], $s . PHP_EOL . PHP_EOL . $item['description_text']  . PHP_EOL . PHP_EOL . 'Price 05g: ' . $item['price05'] . '$' . ' |  Discount: ' . (float) $item['price05'] * ((100.0 - (float)$user['discount'])/100.0) . '$' . PHP_EOL . 'Price 1g: ' . $item['price1'] . '$'. ' |  Discount: ' . (float) $item['price1'] * ((100.0 - (float)$user['discount'])/100.0) . '$'  . PHP_EOL . 'Price 2g: ' . $item['price2'] . '$'. ' |  Discount: ' . (float) $item['price2'] * ((100.0 - (float)$user['discount'])/100.0) . '$'  . PHP_EOL . 'Price 5g: ' . $item['price5'] . '$'. ' |  Discount: ' . (float) $item['price5'] * ((100.0 - (float)$user['discount'])/100.0)  . '$' . PHP_EOL, $keyboard2, 'inline_keyboard');

}

elseif (strpos($callbackdata, 'item05conf:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];
    $keyboard = [
        [ ["text" => "Confirm", 'callback_data' => 'item05:' . $item_id] ]
    ];

    $bot->sendMessage($callbackid, 'Please, confirm item buying.', $keyboard, 'inline_keyboard');
}

elseif (strpos($callbackdata, 'item1conf:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];
    $keyboard = [
        [ ["text" => "Confirm", 'callback_data' => 'item1:' . $item_id] ]
    ];

    $bot->sendMessage($callbackid, 'Please, confirm item buying.', $keyboard, 'inline_keyboard');
}

elseif (strpos($callbackdata, 'item2conf:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];
    $keyboard = [
        [ ["text" => "Confirm", 'callback_data' => 'item2:' . $item_id] ]
    ];

    $bot->sendMessage($callbackid, 'Please, confirm item buying.', $keyboard, 'inline_keyboard');
}
elseif (strpos($callbackdata, 'item5conf:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];
    $keyboard = [
        [ ["text" => "Confirm", 'callback_data' => 'item5:' . $item_id] ]
    ];

    $bot->sendMessage($callbackid, 'Please, confirm item buying.', $keyboard, 'inline_keyboard');
}



elseif (strpos($callbackdata, 'item05:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];

    $amount05 = $DB->getAmount($item_id, '0.5')['count(*)'];
    if ($amount05 > 0)
    {
        $item = $DB->getItem($item_id);
        $balance = $DB->getBalance($callbackid);
        $price = (float) $item['price05'];
        if($balance >= $price)
        {
            $user = $DB->getuser($callbackid);
            $price = (float) $price * ((100.0 - (float)$user['discount'])/100.0);
            $DB->addBalance($callbackid, -$price);
            $photo = $DB->getSoldPhoto('0.5', $item['id']);
            $bot->sendPhotoTelegram($callbackid, $photo['file_id'], $item['sold_text']);
            $DB->deleteSoldPhoto($photo['id']);
            $user = $DB->getUser($callbackid);
            $DB->addOrder($callbackid, 1);

            // $bot->sendMessage($callbackid, $user['referal']);
            if($user['referal'] !== '0'){
                
                $percent = (float) $DB->getSetting('referal_percent');
                $bonus = ($price / 100) * $percent;
                $DB->addBalance($user['referal'], $bonus);
                $DB->addBonus($user['referal'], $bonus);
            }

            $keyboard = [
                [ ["text" => "1 ⭐", 'callback_data' => 'rating:1'],  ["text" => "2 ⭐", 'callback_data' => 'rating:2'], ["text" => "3 ⭐", 'callback_data' => 'rating:3' ],  ["text" => "4 ⭐", 'callback_data' => 'rating:4' ],  ["text" => "5 ⭐", 'callback_data' => 'rating:5' ] ],           ];

            $bot->sendMessage($callbackid, 'Please, leave a review. Choose from 1 to 5 stars:', $keyboard, 'inline_keyboard');


        }
        else
        {
            $keyboard = [
                [ ["text" => "LTC", 'callback_data' => 'balanceupforltc:' . $price] ],
                [ ["text" => "USDT", 'callback_data' => 'balanceupforusdt:' . $price] ]
            ];
            $bot->sendMessage($callbackid, 'Not enough money on balance!', $keyboard, 'inline_keyboard');
            
        }
    }
    else{
        $bot->sendMessage($callbackid, 'No product in stock!');
    }
}

elseif (strpos($callbackdata, 'item1:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];

    $amount05 = $DB->getAmount($item_id, '1')['count(*)'];
    if ($amount05 > 0)
    {
        $item = $DB->getItem($item_id);
        $balance = $DB->getBalance($callbackid);
        $price = (float) $item['price1'];
        if($balance >= $price)
        {
            $user = $DB->getuser($callbackid);
            $price = (float) $price * ((100.0 - (float)$user['discount'])/100.0);
            // $bot->sendMessage($callbackid, $price);


            $DB->addBalance($callbackid, -$price);
            $photo = $DB->getSoldPhoto('1', $item['id']);
            $bot->sendPhotoTelegram($callbackid, $photo['file_id'], $item['sold_text']);
            $DB->deleteSoldPhoto($photo['id']);
            $user = $DB->getUser($callbackid);
            $DB->addOrder($callbackid, 1);

             // $bot->sendMessage($callbackid, $user['referal']);
             if($user['referal'] !== '0'){
                
                $percent = (float) $DB->getSetting('referal_percent');
                $bonus = ($price / 100) * $percent;
                $DB->addBalance($user['referal'], $bonus);
                $DB->addBonus($user['referal'], $bonus);
            }

            $keyboard = [
                [ ["text" => "1 ⭐", 'callback_data' => 'rating:1'],  ["text" => "2 ⭐", 'callback_data' => 'rating:2'], ["text" => "3 ⭐", 'callback_data' => 'rating:3' ],  ["text" => "4 ⭐", 'callback_data' => 'rating:4' ],  ["text" => "5 ⭐", 'callback_data' => 'rating:5' ] ],   ];

            $bot->sendMessage($callbackid, 'Please, leave a review. Choose from 1 to 5 stars:', $keyboard, 'inline_keyboard');

        }
        else
        {
            $keyboard = [
                [ ["text" => "LTC", 'callback_data' => 'balanceupforltc:' . $price] ],
                [ ["text" => "USDT", 'callback_data' => 'balanceupforusdt:' . $price] ]
            ];
            $bot->sendMessage($callbackid, 'Not enough money on balance!', $keyboard, 'inline_keyboard');
        }
    }
    else{
        $bot->sendMessage($callbackid, 'No product in stock!');
    }
}

elseif (strpos($callbackdata, 'item2:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];

    $amount05 = $DB->getAmount($item_id, '2')['count(*)'];
    if ($amount05 > 0)
    {
        $item = $DB->getItem($item_id);
        $balance = $DB->getBalance($callbackid);
        $price = (float) $item['price2'];
        if($balance >= $price)
        {
            $user = $DB->getuser($callbackid);
            $price = (float) $price * ((100.0 - (float)$user['discount'])/100.0);
            $DB->addBalance($callbackid, -$price);
            $photo = $DB->getSoldPhoto('2', $item['id']);
            $bot->sendPhotoTelegram($callbackid, $photo['file_id'], $item['sold_text']);
            $DB->deleteSoldPhoto($photo['id']);
            $DB->addOrder($callbackid, 1);

            $user = $DB->getUser($callbackid);
             // $bot->sendMessage($callbackid, $user['referal']);
            if($user['referal'] !== '0'){
                
                $percent = (float) $DB->getSetting('referal_percent');
                $bonus = ($price / 100) * $percent;
                $DB->addBalance($user['referal'], $bonus);
                $DB->addBonus($user['referal'], $bonus);
            }

            $keyboard = [
                [ ["text" => "1 ⭐", 'callback_data' => 'rating:1'],  ["text" => "2 ⭐", 'callback_data' => 'rating:2'], ["text" => "3 ⭐", 'callback_data' => 'rating:3' ],  ["text" => "4 ⭐", 'callback_data' => 'rating:4' ],  ["text" => "5 ⭐", 'callback_data' => 'rating:5' ] ],   ];

            $bot->sendMessage($callbackid, 'Please, leave a review. Choose from 1 to 5 stars:', $keyboard, 'inline_keyboard');

        }
        else
        {
            $keyboard = [
                [ ["text" => "LTC", 'callback_data' => 'balanceupforltc:' . $price] ],
                [ ["text" => "USDT", 'callback_data' => 'balanceupforusdt:' . $price] ]
            ];
            $bot->sendMessage($callbackid, 'Not enough money on balance!', $keyboard, 'inline_keyboard');
        }
    }
    else{
        $bot->sendMessage($callbackid, 'No product in stock!');
    }
}

elseif (strpos($callbackdata, 'item5:') !== false)
{
    $item_id = explode(":", $callbackdata)[1];

    $amount05 = $DB->getAmount($item_id, '5')['count(*)'];
    if ($amount05 > 0)
    {
        $user = $DB->getuser($callbackid);
        $price = (float) $price * ((100.0 - (float)$user['discount'])/100.0);
        $item = $DB->getItem($item_id);
        $balance = $DB->getBalance($callbackid);
        $price = (float) $item['price5'];
        if($balance >= $price)
        {
            $DB->addBalance($callbackid, -$price);
            $photo = $DB->getSoldPhoto('5', $item['id']);
            $bot->sendPhotoTelegram($callbackid, $photo['file_id'], $item['sold_text']);
            $DB->deleteSoldPhoto($photo['id']);
            $DB->addOrder($callbackid, 1);

            $user = $DB->getUser($callbackid);
             // $bot->sendMessage($callbackid, $user['referal']);
            if($user['referal'] !== '0'){
                
                $percent = (float) $DB->getSetting('referal_percent');
                $bonus = ($price / 100) * $percent;
                $DB->addBalance($user['referal'], $bonus);
                $DB->addBonus($user['referal'], $bonus);
            }

            $keyboard = [
                [ ["text" => "1 ⭐", 'callback_data' => 'rating:1'],  ["text" => "2 ⭐", 'callback_data' => 'rating:2'], ["text" => "3 ⭐", 'callback_data' => 'rating:3' ],  ["text" => "4 ⭐", 'callback_data' => 'rating:4' ],  ["text" => "5 ⭐", 'callback_data' => 'rating:5' ] ], 
            ];

            $bot->sendMessage($callbackid, 'Please, leave a review. Choose from 1 to 5 stars:', $keyboard, 'inline_keyboard');

        }
        else
        {
            $keyboard = [
                [ ["text" => "LTC", 'callback_data' => 'balanceupforltc:' . $price] ],
                [ ["text" => "USDT", 'callback_data' => 'balanceupforusdt:' . $price] ]
            ];
            $bot->sendMessage($callbackid, 'Not enough money on balance!', $keyboard, 'inline_keyboard');
        }
    }
    else{
        $bot->sendMessage($callbackid, 'No product in stock!');
    }
}

elseif (strpos($callbackdata, 'rating:') !== false)
{   
    $rate = explode(':', $callbackdata)[1];
    if($rate > 5){$rate = 5;}
    $DB->addReview($callbackid, $user_name, $rate);
    $DB->setStatus($callbackid, 'review');
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Leave a comment:');
}



// $DB->addReview('770710649', 're_dream', '5');

elseif($message && $DB->getStatus($chatid) == 'review'){
    $review = $DB->getLastReview($chatid);
    $DB->setReviewText($review['id'], $message);
    // $bot->sendMessage($chatid, 'No product in stock!');
    $bot->sendMessage($chatid, 'Thank you for leaving review!'); 
    $DB->setStatus($chatid, '0');
}

elseif ($callbackdata === 'addbalance')
{   
    $text = 'Choose payment method:';
    $keyboard = [];
    if($DB->getSetting('ltc_topup')['amount'] == '1'){
        $keyboard[] = [ ['text' => 'LTC', 'callback_data' => 'ltcup'] ];
    }
    if($DB->getSetting('usdt_topup')['amount'] == '1'){
        $keyboard[] = [ ['text' => 'USDT', 'callback_data' => 'usdtup'] ];
    }

    $keyboard[] = [ ['text' => '< BACK', 'callback_data' => 'main'] ];

    $res = $bot->editMessage($callbackid, $cbmessageid, $text, $keyboard, 'inline_keyboard');
}

elseif ($callbackdata === 'ltcup')
{
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'main'] ]
    ];
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Enter amount to top up ($):', $keyboard, 'inline_keyboard');
    $DB->setStatus($callbackid, 'ltcup');
}

elseif ($callbackdata === 'usdtup')
{
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'main'] ]
    ];
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Enter amount to top up ($):', $keyboard, 'inline_keyboard');
    $DB->setStatus($callbackid, 'usdtup');
}



elseif ($callbackdata === 'work')
{   
    $res = $bot->editMessage($callbackid, $cbmessageid, $work_text, $main_keyboard, 'inline_keyboard');
}

elseif ($callbackdata === 'bonuses')
{   
    $res = $bot->editMessage($callbackid, $cbmessageid, $bonuses_text, $main_keyboard, 'inline_keyboard');
}

elseif ($callbackdata === 'rules')
{   
    $res = $bot->editMessage($callbackid, $cbmessageid, $rules_text, $main_keyboard, 'inline_keyboard');
}

elseif ($callbackdata === 'support')
{   
    $res = $bot->editMessage($callbackid, $cbmessageid, $DB->getSetting('supportlink')['amount'], $main_keyboard, 'inline_keyboard');
}

elseif ($callbackdata === 'information')
{   
    $res = $bot->editMessage($callbackid, $cbmessageid, $information_text, $main_keyboard, 'inline_keyboard');
}

// ADMIN PANEL BUTTONS

elseif ($callbackdata === 'adminmain') 
{
    file_put_contents('newitem.txt', '');
    file_put_contents('newitemtext.txt', '');
    file_put_contents('newitemtext2.txt', '');
    file_put_contents('newitemsoldphotos.txt', '');
    $DB->setStatus($callbackid, '0');
    $keyboard = [
        [ ['text' => '🗺️ Add city', 'callback_data' => 'addcity'] ],
        [ ['text' => '📍 Add location', 'callback_data' => 'addlocation'] ],
        [ ['text' => '🛒 Add product', 'callback_data' => 'additem'] ],
        [ ['text' => '💰 Give balance', 'callback_data' => 'givebalance'] ],
        [ ['text' => '💰 Give balance everyone', 'callback_data' => 'givebalanceeveryone'] ],
        [ ['text' => '🗑 Delete menu', 'callback_data' => 'menudelete'] ],
        [ ['text' => '📁 Upload product', 'callback_data' => 'uploaditems'] ],
        [ ['text' => '⚙️ Edit referal %', 'callback_data' => 'ref%'] ],
        [ ['text' => '⚙️ Edit payment methods', 'callback_data' => 'methods'] ],
        [ ['text' => '📁 Reviews menu', 'callback_data' => 'reviewsadmin'] ],
        [ ['text' => '🛒 Stock', 'callback_data' => 'stock'] ],
        [ ['text' => '🛒 Add promocode', 'callback_data' => 'addpromo'] ],
        [ ['text' => '📋 Commands', 'callback_data' => 'commands'] ],
        [ ['text' => '❌ WIPE BALANCES TO ZERO ❌', 'callback_data' => 'wipe'] ],
        [ ['text' => 'Main menu', 'callback_data' => 'main'] ]
    ];
    $bot->editMessage($callbackid, $cbmessageid, 'Admin panel:', $keyboard, 'inline_keyboard');
}

// DELETE MENU

elseif ($callbackdata === 'menudelete')
{   
    $keyboard = [
        [ ['text' => 'City', 'callback_data' => 'citydelete'] ],
        [ ['text' => 'Location', 'callback_data' => 'locationdelete'] ],
        [ ['text' => 'Product', 'callback_data' => 'productdelete'] ],
        [ ['text' => 'BACK', 'callback_data' => 'adminmain'] ],
    ];
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Choose, what you want to delete:', $keyboard, 'inline_keyboard');
}

elseif ($callbackdata === 'citydelete')
{   
    $cities = $DB->getListCitiesDel();
    $keyboard = [];
    if($cities)
    {
        foreach($cities as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose city:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No locations available.', $main_keyboard, 'inline_keyboard');
    }
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Choose city to delete:', $keyboard, 'inline_keyboard');
}

elseif (strpos($callbackdata, 'delcity:') !== false)
{   
    $city_id = explode(":", $callbackdata)[1];

    $DB->deleteCity($city_id);

    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
    ];

    $res = $bot->editMessage($callbackid, $cbmessageid, 'City was deleted.', $keyboard, 'inline_keyobard');
    file_put_contents('res.txt', print_r($res, 1), FILE_APPEND);
}

elseif ($callbackdata === 'locationdelete')
{   
    $cities = $DB->getListLocsDel();
    $keyboard = [];
    if($cities)
    {
        foreach($cities as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose location:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No locations available.', $main_keyboard, 'inline_keyboard');
    }
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Choose location to delete:', $keyboard, 'inline_keyboard');
}

elseif (strpos($callbackdata, 'delloc:') !== false)
{   
    $city_id = explode(":", $callbackdata)[1];

    $DB->deleteLocation($city_id);

    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
    ];

    $res = $bot->editMessage($callbackid, $cbmessageid, 'Location was deleted.', $keyboard, 'inline_keyobard');
    file_put_contents('res.txt', print_r($res, 1), FILE_APPEND);
}

elseif ($callbackdata === 'productdelete')
{   
    $cities = $DB->getListproductsDel();
    $keyboard = [];
    if($cities)
    {
        foreach($cities as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose product:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No locations available.', $main_keyboard, 'inline_keyboard');
    }
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Choose product to delete:', $keyboard, 'inline_keyboard');
}

elseif (strpos($callbackdata, 'delitem:') !== false)
{   
    $city_id = explode(":", $callbackdata)[1];

    $DB->deleteItem($city_id);

    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
    ];

    $res = $bot->editMessage($callbackid, $cbmessageid, 'Item was deleted.', $keyboard, 'inline_keyobard');
    file_put_contents('res.txt', print_r($res, 1), FILE_APPEND);
}

// UPLOAD PRODUCT

elseif ($callbackdata === 'uploaditems')
{   
    $cities = $DB->getListItemsToUpload();
    $keyboard = [];
    if($cities)
    {
        foreach($cities as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose product:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'No items available.');
    }

}

elseif ($callbackdata == 'profile')
{
    $user = $DB->getUser($callbackid);
    $main_text = "Your profile:

UserID: " . $callbackid . "        
Balance: ". $user['balance'] . "$ 
Orders/ყიდვები: " . $user['orders'] . "
Discount/ფასდაკლება: " . $user['discount'] . "%
        
Invited/მოწვეულები: " . $user['invited'] . "
Bonus: " . $user['bonus'] . " $";
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'main'] ]
    ];
    $bot->editMessage($callbackid, $cbmessageid, $main_text, $keyboard, 'inline_keyboard');

}

elseif ($callbackdata == 'addpromo')
{
    $user = $DB->getUser($callbackid);
    $DB->setStatus($callbackid, 'addnewpromo');
    $bot->editMessage($callbackid, $cbmessageid, 'Send me new promocode in this format: Code | Amount | Uses.' . PHP_EOL . PHP_EOL . 'Example: 
        100PROMO | 350 | 4.');
}

elseif (strpos($callbackdata, 'itemidupload:') !== false)
{ 
    $item_id = explode(":", $callbackdata)[1];


    $keyboard = [
        [ ['text' => '⦿ 0.5g', 'callback_data' => 'photosold:0.5'], ['text' => '1g', 'callback_data' => 'photosold:1'], ['text' => '2g', 'callback_data' => 'photosold:2'], ['text' => '5g', 'callback_data' => 'photosold:5'] ],
    ];

    $keyboard[] = [['text' => 'BACK', 'callback_data' => 'adminmain']];

    $bot->editMessage($callbackid, $cbmessageid, 'Send me photos, that will be shown after buying item:', $keyboard, 'inline_keyboard');
    $DB->setStatus($callbackid, 'uploadphotos:' . $item_id);
    $DB->setQuantity($callbackid, '0.5');
    
}

elseif($DB->getStatus($chatid) == 'addnewpromo')
{
    
    $promocode = explode(" | ", $message);
    // $bot->sendMessage($chatid, $promocode);
    
    $DB->addPromo($promocode[0], $promocode[1], $promocode[2]);
    $bot->sendMessage($chatid, 'Промокод добавлен!');
    $DB->setStatus($chatid, '0');

}

elseif (strpos($DB->getStatus($chatid), 'uploadphotos:') !== false && $mesphoto)
{ 
    $itemid = explode(":", $DB->getStatus($chatid))[1];
    $quantity = $DB->getQuantity($chatid);

    if($mesphoto['3']['file_id']){
        $fileid = $mesphoto['3']['file_id'];
    }
    elseif($mesphoto['2']['file_id'] !== Null){
        $fileid = $mesphoto['2']['file_id'];
    }
    elseif($mesphoto['1']['file_id'] !== Null){
        $fileid = $mesphoto['1']['file_id'];
    }


    $DB->addPhoto($fileid, $itemid, $quantity);

    $keyboard = [
        [ ['text' => 'DONE', 'callback_data' => 'uploaddone'] ]
    ];

    $bot->sendMessage($chatid, 'Photo added. Press "DONE" after all photos uploaded', $keyboard, 'inline_keyboard');
}

elseif($callbackdata === 'uploaddone'){
    $DB->setStatus($callbackid, '0');
    $bot->editMessage($callbackid, $cbmessageid, 'All photos were added!');
}

// MANUAL TOP UP OF BALANCE

elseif ($callbackdata === 'givebalance')
{   
    $DB->setStatus($callbackid, 'givebalance');
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
    ];
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Enter Telegram ID and amount to top up in this format: ID | Amount in $' . PHP_EOL . 'For example: 643564536 | 20', $keyboard, 'inline_keyboard');
}

elseif ($callbackdata === 'givebalanceeveryone')
{   
    $DB->setStatus($callbackid, 'givebalanceeveryone');
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
    ];
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Enter amount in $', $keyboard, 'inline_keyboard');
}
// ADD CITY

elseif ($callbackdata === 'addcity')
{   
    $DB->setStatus($callbackid, 'addcity');
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
    ];
    $res = $bot->editMessage($callbackid, $cbmessageid, 'Enter new city name:', $keyboard, 'inline_keyboard');
}

// ADD LOCATION

elseif ($callbackdata === 'addlocation')
{   
    // $DB->setStatus($callbackid, 'addlocation');

    $cities = $DB->getListCitiesLoc();
    $keyboard = [];
    if($cities)
    {
        foreach($cities as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose city:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No locations available.', $main_keyboard, 'inline_keyboard');
    }

}

elseif (strpos($callbackdata, 'choosecity:') !== false)
{   
    $city_id = explode(":", $callbackdata)[1];
    $DB->setStatus($callbackid, 'addlocation:' . $city_id);
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
    ];
    $bot->editMessage($callbackid, $cbmessageid, 'Enter location name:', $keyboard, 'inline_keyboard');
}

// ADD ITEM

// CHOOSE CITY

elseif ($callbackdata === 'additem')
{   
    $cities = $DB->getListCitiesItem();
    $keyboard = [];
    if($cities)
    {
        foreach($cities as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose city for product:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No locations available.', $main_keyboard, 'inline_keyboard');
    }
}

// CHOOSE LOCATION

elseif (strpos($callbackdata, 'itemcity:') !== false)
{   
    $city_id = explode(":", $callbackdata)[1];
    $DB->setStatus($callbackid, 'additem:' . $city_id);
    $locations = $DB->getListlocationsItem($city_id);
    $keyboard = [];
    if($locations)
    {
        foreach($locations as $itemlist_item)
        {
            array_push($keyboard, [$itemlist_item]);
        }
        array_push($keyboard, 
            [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
        );
        $bot->editMessage($callbackid, $cbmessageid, 'Choose location for product:', $keyboard, 'inline_keyboard');
    }
    else
    {
        $bot->editMessage($callbackid, $cbmessageid, 'მისამართები არ არის.' . PHP_EOL . 'No locations available.', $main_keyboard, 'inline_keyboard');
    }
}

// 

elseif (strpos($callbackdata, 'itemlocation:') !== false)
{   
    $location_id = explode(":", $callbackdata)[1];
    $status = $DB->getStatus($callbackid);
    $DB->setStatus($callbackid, $status . ":" . $location_id);
    $keyboard = [
        [ ['text' => '< BACK', 'callback_data' => 'adminmain'] ]
    ];
    $bot->editMessage($callbackid, $cbmessageid, 'Send me name of the product:', $keyboard, 'inline_keyboard');  
}

$DB->getSoldPhoto('0.5', '2');